<!-- DO NOT USE DTD, BROWSER MUST WORKS IN QUIRKS MODE-->
<%@ page import="com.trackstudio.action.GeneralAction,
                 com.trackstudio.app.session.SessionContext, com.trackstudio.startup.Config" %>
<%@ page import="com.trackstudio.secured.SecuredTaskBean" %>
<%@ page import="com.trackstudio.secured.SecuredUserBean" %>
<%@ page buffer="128kb" errorPage="/jsp/Error.jsp" %>
<%@ taglib uri="jstl/c" prefix="c" %>
<%@ taglib uri="jstl/fmt" prefix="I18n" %>
<%@ taglib uri="http://ajaxtags.org/tags/ajax" prefix="ajax" %>
<%@ taglib uri="struts/html-el" prefix="html" %>
<%@ taglib uri="http://trackstudio.com" prefix="ts" %>
<I18n:setLocale value="${sc.locale}"/>
<I18n:setTimeZone value="${sc.timezone}"/>
<I18n:setBundle basename="language"/>
<%
    response.setContentType("text/html; charset=" + Config.getEncoding());
    response.setCharacterEncoding(Config.getEncoding());

    SessionContext sc = GeneralAction.getInstance().imports(request, response);
    if (sc == null)
        return;
%>
<html>
<head>
    <title>TrackStudio</title>
    <%
        String currentReport = request.getParameter("report");
        if (currentReport == null) {
            currentReport = sc.getAttribute("report") != null ? sc.getAttribute("report").toString() : null;
        } else sc.setAttribute("report", currentReport);

        String nameTaskRoot = new SecuredTaskBean("1", sc).getName();
        nameTaskRoot = nameTaskRoot.replace("\"","&quot;");
        String nameUserRoot = new SecuredUserBean("1", sc).getName();
        nameUserRoot = nameUserRoot.replace("\"","&quot;");
        sc.setRequestAttribute(request, "taskTreeRootName", nameTaskRoot);
        sc.setRequestAttribute(request, "userTreeRootName", nameUserRoot);
    %>
    <meta http-equiv="content-type" content="text/html; charset=<%=Config.getEncoding()%>">
    <I18n:setLocale value="${sc.locale}"/>
    <I18n:setTimeZone value="${sc.timezone}"/>
    <I18n:setBundle basename="language"/>
    <c:choose>
            <c:when test="${compressHtml}">
                <c:set var="urlHtml" value="html"/>
            </c:when>
            <c:otherwise>
                <c:set var="urlHtml" value="html_src"/>
            </c:otherwise>
        </c:choose>
    <script type="text/javascript">
        var contextPath = '${contextPath}';
        var urlHtml = '${urlHtml}';
    </script>

    <ts:js request="${request}">
        <ts:jsLink link="${urlHtml}/xtree/xtree.js"/>
        <ts:jsLink link="${urlHtml}/xtree/xmlextras.js"/>
        <ts:jsLink link="${urlHtml}/xtree/xloadtree.js"/>
        <ts:jsLink link="${urlHtml}/slidingframe.js"/>
        <ts:jsLink link="${urlHtml}/validate.js"/>
    </ts:js>
    <ts:js request="${request}">
        <ts:jsLink link="${urlHtml}/prototype.js"/>

    </ts:js>
    <ts:js request="${request}">
        <ts:jsLink link="${urlHtml}/ajaxtags-1.1-beta1.js"/>
    </ts:js>

    <link rel="shortcut icon" href="${contextPath}/TrackStudio/favicon.ico" type="image/x-icon" />
    <link rel="icon" href="${contextPath}/${ImageServlet}favicon.png" type="image/png" />

    <ts:css request="${request}">
        <c:choose>
            <c:when test="${compressHtml}">
                <ts:cssLink link="style.css"/>
            </c:when>
            <c:otherwise>
                <ts:cssLink link="style_src.css"/>
            </c:otherwise>
        </c:choose>
        <ts:cssLink link="${urlHtml}/ajaxtags-sample.css"/>
        <% String user_agent = request.getHeader("user-agent");
            if (user_agent.contains("MSIE")){%>
        <ts:cssLink link="style-panel-ie.css"/>
        <% } else {%>
        <ts:cssLink link="style-panel.css"/>
        <% } %>
    </ts:css>

</head>

<body bgcolor="black">
<script type="text/javascript">
    var contextPath = '${contextPath}';
    var versionPath = '${versionPath}';
    var imageServlet = '${ImageServlet}';
    webFXTreeConfig.rootIcon = contextPath + imageServlet + "/cssimages/sman16x16.gif";
    webFXTreeConfig.taskManagementIcon = contextPath + imageServlet + "/cssimages/menu.task.gif";
    webFXTreeConfig.openTaskManagementIcon = contextPath + imageServlet + "/cssimages/menu.task.gif";
    webFXTreeConfig.userIcon = contextPath + imageServlet + "/cssimages/ico.userinfo.gif";
    webFXTreeConfig.openUserIcon = contextPath + imageServlet + "/cssimages/ico.userinfo.gif";
    webFXTreeConfig.userManagementIcon = contextPath + imageServlet + "/cssimages/menu.user.gif";
    webFXTreeConfig.openUserManagementIcon = contextPath + imageServlet + "/cssimages/menu.user.gif";
    webFXTreeConfig.fileIcon = contextPath + imageServlet + "/cssimages/file.png";
    webFXTreeConfig.lMinusIcon = contextPath + imageServlet + "/cssimages/Lminus.png";
    webFXTreeConfig.lPlusIcon = contextPath + imageServlet + "/cssimages/Lplus.png";
    webFXTreeConfig.tMinusIcon = contextPath + imageServlet + "/cssimages/Tminus.png";
    webFXTreeConfig.tPlusIcon = contextPath + imageServlet + "/cssimages/Tplus.png";
    webFXTreeConfig.iIcon = contextPath + imageServlet + "/cssimages/I.png";
    webFXTreeConfig.lIcon = contextPath + imageServlet + "/cssimages/L.png";
    webFXTreeConfig.tIcon = contextPath + imageServlet + "/cssimages/T.png";
    webFXTreeConfig.blankIcon = contextPath + imageServlet + "/cssimages/blank.png";
    webFXTreeConfig.todayNodeLocaleName = '<I18n:message key="TODAY"/>';

    userTree = new WebFXLoadTree("${userTreeRootName}", "${contextPath}/TreeLoaderAction.do?method=taskUserTree&ui=1", 'javascript:{}', 'trackstudio', webFXTreeConfig.rootIcon, "");
    userTree.icon = "${contextPath}${ImageServlet}/${urlHtml}/xtree/images/userNode.gif";
    userTree.statusIcon = "";
    userTree.src = "${contextPath}/TreeLoaderAction.do?method=taskUserTree&ui=1";
    userTree.action = "javascript:{self.top.frames[1].location = '${contextPath}/UserAction.do?method=page&id=1&thisframe=true';}";
    taskTree = new WebFXLoadTree("${taskTreeRootName}", "${contextPath}/TreeLoaderAction.do?method=taskUserTree&ti=1", 'javascript:{}', 'trackstudio', webFXTreeConfig.rootIcon, "");
    taskTree.src = "${contextPath}/TreeLoaderAction.do?method=taskUserTree&ti=1";
    taskTree.action = "javascript:{self.top.frames[1].location = '${contextPath}/task/1?thisframe=true';}";
</script>
<div id="panel_1" style="display: block">
    <div class="head">
        <label class="header" for="panel_1" onclick="">
            <html:img alt="" src="${contextPath}${ImageServlet}/${urlHtml}/xtree/images/taskMGM.gif" style="vertical-align: middle"/>
            <I18n:message key="BROWSE_TASKS"/>
        </label>
    </div>
    <div class="content">
        <script type="text/javascript">
            document.write(taskTree);
            taskTree.expand();
        </script>
    </div>
    <div class="foot">
        <label class="header" for="panel_2" onclick="document.getElementById('panel_1').style.display='none';document.getElementById('panel_2').style.display='block';document.getElementById('panel_3').style.display='none';">
            <html:img alt="" src="${contextPath}${ImageServlet}/${urlHtml}/xtree/images/userMGM.gif" style="vertical-align: middle"/>
            <I18n:message key="BROWSE_USERS"/>
        </label>

        <label class="header" for="panel_3" onclick="document.getElementById('panel_1').style.display='none';document.getElementById('panel_2').style.display='none';document.getElementById('panel_3').style.display='block';  updateBookmarks('${contextPath}/bookmark');">
            <html:img src="${contextPath}${ImageServlet}/cssimages/ico.star.gif" border="0" style="vertical-align: middle"/>
            <I18n:message key="BOOKMARKS"/>
        </label>
    </div>
</div>

<div id="panel_2" style="display: none;">
    <div class="head">
        <label class="header" for="panel_1"  onclick="document.getElementById('panel_1').style.display='block';document.getElementById('panel_2').style.display='none';document.getElementById('panel_3').style.display='none';">
            <html:img alt="" src="${contextPath}${ImageServlet}/${urlHtml}/xtree/images/taskMGM.gif" style="vertical-align: middle"/>
            <I18n:message key="BROWSE_TASKS"/>
        </label>

        <label class="header" for="panel_2" onclick="document.getElementById('panel_1').style.display='none';document.getElementById('panel_2').style.display='block';document.getElementById('panel_3').style.display='none';">
            <html:img alt="" src="${contextPath}${ImageServlet}/${urlHtml}/xtree/images/userMGM.gif" style="vertical-align: middle"/>
            <I18n:message key="BROWSE_USERS"/>
        </label>
    </div>
    <div class="content">
        <script type="text/javascript">
            document.write(userTree);
            userTree.expand();
            document.close();
        </script>
    </div>
    <div class="foot">
        <label class="header" for="panel_3" onclick="document.getElementById('panel_1').style.display='none';document.getElementById('panel_2').style.display='none';document.getElementById('panel_3').style.display='block';  updateBookmarks('${contextPath}/bookmark');">
            <html:img src="${contextPath}${ImageServlet}/cssimages/ico.star.gif" border="0" style="vertical-align: middle"/>
            <I18n:message key="BOOKMARKS"/>
        </label>
    </div>
</div>
<div id="panel_3" style="display: none;">
    <div class="head">
        <label class="header" for="panel_1"  onclick="document.getElementById('panel_1').style.display='block';document.getElementById('panel_2').style.display='none';document.getElementById('panel_3').style.display='none';" >
            <html:img alt="" src="${contextPath}${ImageServlet}/${urlHtml}/xtree/images/taskMGM.gif" style="vertical-align: middle"/>
            <I18n:message key="BROWSE_TASKS"/>
        </label>

        <label class="header" for="panel_2"  onclick="document.getElementById('panel_1').style.display='none';document.getElementById('panel_2').style.display='block';document.getElementById('panel_3').style.display='none';">
            <html:img alt="" src="${contextPath}${ImageServlet}/${urlHtml}/xtree/images/userMGM.gif" style="vertical-align: middle"/>
            <I18n:message key="BROWSE_USERS"/>
        </label>

        <label class="header" for="panel_3" onclick="document.getElementById('panel_1').style.display='none';document.getElementById('panel_2').style.display='none';document.getElementById('panel_3').style.display='block'; updateBookmarks('${contextPath}/bookmark');">
            <html:img src="${contextPath}${ImageServlet}/cssimages/ico.star.gif" border="0" style="vertical-align: middle"/>
            <I18n:message key="BOOKMARKS"/>
        </label>
    </div>
    <div class="content">
        <script type="text/javascript">
            function updateBookmarks(url) {
                new Ajax.Updater("bookmarkPanel", url);
            }
            updateBookmarks("${contextPath}/bookmark");
        </script>
        <div id="bookmarkPanel" class="bookmarkPanel"></div>
    </div>
    <div class="foot">
    </div>
</div>
</body>
</html> 