<%@ taglib uri="struts/html-el" prefix="html" %>
<%@ taglib uri="jstl/c" prefix="c" %>
<%@ taglib uri="jstl/fmt" prefix="I18n" %>
<%@ taglib uri="http://ajaxtags.org/tags/ajax" prefix="ajax" %>
<I18n:setLocale value="${sc.locale}"/>
<I18n:setTimeZone value="${sc.timezone}"/>
<I18n:setBundle basename="language"/>
<c:forEach var="udf" items="${editUdfList}"  varStatus="varCounter">
    <tr>
        <th>
            <label for="udf${udf.id}"><c:out value="${udf.caption}"/><c:if test="${udf.required}">*</c:if></label>
        </th>
        <td>
            <c:choose>
                <c:when test="${udf.type eq 'string'}">
                    <c:choose>
                        <c:when test="${udf.lookup}">
                            <c:if test="${!udf.lookupOnly}">
                                <html:text styleId="udf(${udf.id})" property="udf(${udf.id})" size="80" maxlength="1800" alt="${udf.required && !udf.lookupOnly ? '>0' : ''}"/>
                            </c:if>
                            <html:select styleId="sctipt_udf(${udf.id})" onchange="copyToInput(this)" property="udf(${udf.id})" alt="${udf.required && udf.lookupOnly ? '>0,mustChoose' : ''}">
                                <c:forEach var="item" items="${udf.list}">
                                    <html:option value="${item.key}"><c:out value="${item.value}"/></html:option>
                                </c:forEach>
                            </html:select>
                            <script type="text/javascript">
                                if (${udf.lookupOnly}) {
                                    document.getElementById("udf(${udf.id})").value = document.getElementById("sctipt_udf(${udf.id})").value;
                                }
                            </script>
                        </c:when>
                        <c:otherwise>
                            <html:text property="udf(${udf.id})" styleId="udf${udf.id}" size="80" maxlength="1800" alt="${udf.required ? '>0' : ''}"/>
                        </c:otherwise>
                    </c:choose>
                </c:when>

                <c:when test="${udf.type eq 'memo'}">
                    <c:choose>
                        <c:when test="${udf.htmlview}">
                            <html:textarea styleId="udf${udf.id}" styleClass="mceEditor" property="udf(${udf.id})" cols="70" rows="10" alt='<100000,tinymce'/>
                        </c:when>
                        <c:otherwise>
                            <html:textarea styleId="udf${udf.id}" property="udf(${udf.id})" cols="70" rows="10" alt="${udf.required ? '>0' : ''}"/>
                        </c:otherwise>
                    </c:choose>
                </c:when>

                <c:when test="${udf.type eq 'list'}">
                    <input id="search_${udf.id}" type="text" size="20" onkeyup="searchInSelect(this.id)"><br>
                    <html:select property="udf(${udf.id})" styleId="udf${udf.id}" alt="${udf.required ? 'mustChoose(' : ''}udf${udf.id})">
                        <c:if test="${udf.emptyDefault&&udf.emptyValue&&udf.required||udf.emptyList}">
                            <html:option value="${NOT_CHOOSEN}"><I18n:message key="CHOOSE_ONE"/></html:option>
                        </c:if>
                        <c:forEach var="item" items="${udf.list}">
                            <html:option value="${item.key}"><c:out value="${item.value}"/></html:option>
                        </c:forEach>

                    </html:select>
                </c:when>

                <c:when test="${udf.type eq 'multilist'}">
                    <input type="hidden" alt="${udf.required ? 'divbox' : ''}" id="${udf.id}">
                    <div class="selectbox" id="udf${udf.id}">
                        <c:forEach items="${udf.list}" var="item" varStatus="c">
                            <label for="${udf.caption}_${item.key}"  class="sel${c.index mod 2}">
                                <html:multibox property="udflist(${udf.id})" value="${item.key}" styleId="${udf.caption}_${item.key}"/>
                                <c:out value="${item.value}" escapeXml="true"/>
                            </label>
                        </c:forEach>
                    </div>
                </c:when>

                <c:when test="${udf.type eq 'float'}">
                    <html:text styleId="udf${udf.id}" property="udf(${udf.id})" alt="${udf.required ? '>0,' : ''}float"  size="80" maxlength="40" onkeypress="return validFloat(this.id, event, this.value)"/>&nbsp;<html:img styleId="udf${udf.id}_error" style="display:none;" src="${contextPath}${ImageServlet}/cssimages/exclamation.gif" border="0"/>
                </c:when>

                <c:when test="${udf.type eq 'integer'}">
                    <html:text styleId="udf${udf.id}" property="udf(${udf.id})" alt="${udf.required ? '>0,' : ''}integer" size="80" maxlength="40" onkeypress="return validFloat(this.id, event, this.value)"/>&nbsp;<html:img styleId="udf${udf.id}_error" style="display:none;" src="${contextPath}${ImageServlet}/cssimages/exclamation.gif" border="0"/>
                </c:when>

                <c:when test="${udf.type eq 'date'}">
                    <html:text styleId="udf${udf.id}" property="udf(${udf.id})" alt="${udf.required ? '>0,' : ''}date(${sc.user.dateFormatter.pattern2}" size="20" maxlength="40"/>&nbsp;<html:img src="${contextPath}${ImageServlet}/cssimages/ico.calendar.gif" border="0" styleClass="calendaricon" onclick="return showCalendar('udf${udf.id}', '${sc.user.dateFormatter.pattern2}', '24', true);" altKey="SELECT_DATE"/>
                </c:when>

                <c:when test="${udf.type eq 'url'}">
                    <table>
                        <tr>
                            <td>
                                <I18n:message key="URL"/>
                            </td>
                            <td>
                                <html:text styleId="udf${udf.id}" property="udf(${udf.id})" size="80" maxlength="1800" alt="${udf.required ? 'url,>0' : 'url'}"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <I18n:message key="DESCRIPTION"/>
                            </td>
                            <td>
                                <html:text styleId="udf${udf.id}" property="url(${udf.id})" size="80" maxlength="1800"/>
                            </td>
                        </tr>
                    </table>
                </c:when>
                <c:when test="${udf.type eq 'task'}">
                    <span style="white-space: nowrap;">
         <input type="text" class="form-autocomplete" name="searchudflist(${udf.id})" alt="${udf.required ? '>0' : ''}" size="50" maxlength="1800"  id="searchudflist(${udf.id})"/><input
                            type="hidden" name="autosearch(${udf.id})" id="autosearch(${udf.id})">
        <ajax:autocomplete
                baseUrl="${contextPath}/predictor/"
                source="searchudflist(${udf.id})"
                target="autosearch(${udf.id})"
                parameters="key={searchudflist(${udf.id})},session=${session},id=${id}"
                className="autocomplete"
                progressStyle="throbbing"
                minimumCharacters="2"
                postFunction="insertTaskUdf"/>
                        <html:image src="${contextPath}${ImageServlet}/cssimages/dot.gif" border="0" alt=""/>
                        <input type="image" id="IMGudf${udf.id}" src="${contextPath}${ImageServlet}/cssimages/ico.selecttask.gif" onclick="if (top.udfWin!=null) { top.udfWin.close(); top.udfWin=null;}; top.udfWin = window.open('${contextPath}/TaskSelectAction.do?udffield=searchudflist(${udf.id})&amp;udfvalue=${udf.id}', 'udfWin', 'dependent=yes,menubar=no,toolbar=no,status=no,scrollbars=yes,titlebar=no,left=0,top=20,width=1000,height=500,resizable=yes');is_new=true; return false;">
                    </span>
                    <c:if test="${nums}">
                        <script type="text/javascript">
                            __operateScript('${contextPath}/predictor', 'searchudflist(${udf.id})', '${nums}');
                        </script>
                    </c:if>
                    <div <c:if test="${empty udf.list}">style="display: none;"</c:if> class="selectbox shrinked" id="_searchudflist(${udf.id})">
                        <c:forEach items="${udf.list}" var="t" varStatus="c">
                            <label for="udflist(${udf.id})_${t.id}">
                                <html:multibox property="udflist(${udf.id})" value="${t.number}" styleId="udflist(${udf.id})_${t.id}"/>
                                <c:choose>
                                    <c:when test="${t.canManage}">
                                        <html:img styleClass="icon" border="0" src="${contextPath}${ImageServlet}/icons/categories/${t.category.icon}"/>
                                        <c:out value="${t.name}"/><em class="number">#<c:out value="${t.number}"/></em>
                                    </c:when>
                                    <c:otherwise>
                                        #<c:out value="${t.number}"/>
                                    </c:otherwise>
                                </c:choose>
                            </label>
                        </c:forEach>
                    </div>
                </c:when>

                <c:when test="${udf.type eq 'user'}">
                    <input type="text" class="form-autocomplete" name="searchudflist(${udf.id})" size="50" onkeyup="__localsearch(this);" alt="${udf.required ? '>0' : ''}">
                    <div class="selectbox" id="_searchudflist(${udf.id})"
                            ><c:forEach items="${udf.list}" var="huser" varStatus="c">
                        <label for="${udf.caption}_${huser.id}"  class="sel${c.index mod 2}"
                                ><html:multibox property="udflist(${udf.id})" value="${huser.login}" styleId="${udf.caption}_${huser.id}"
                                /><span class="user" ${huser.id eq sc.userId ? "id='loggedUser'" : ""}><html:img styleClass="icon" border="0"
                                                                                                                 src="${contextPath}${ImageServlet}/cssimages/${huser.active ? 'arw.usr.a.gif' : 'arw.usr.gif'}"/><c:out value="${huser.name}" escapeXml="true"
                                /></span></label>
                    </c:forEach></div>
                </c:when>

            </c:choose>
        </td>
    </tr>
</c:forEach>