<%@ taglib uri="struts/html-el" prefix="html" %>
<%@ taglib uri="jstl/c" prefix="c" %>
<%@ taglib uri="jstl/fmt" prefix="I18n" %>
<I18n:setLocale value="${sc.locale}"/>
<I18n:setTimeZone value="${sc.timezone}"/>
<I18n:setBundle basename="language"/>

<c:forEach items="${viewUdfList}" var="udf">
    <c:if test="${udf ne null}">
        <c:set var="val" value="${udf.value}"/>
        <tr>
            <th>
                <c:out value="${udf.caption}"/>
            </th>
            <td>
                <c:choose>
                    <c:when test="${udf.type eq 'date'}">
                        <I18n:formatDate value="${val.time}" type="both" dateStyle="short" timeStyle="short"/>
                    </c:when>
                    <c:when test="${udf.type eq 'float'}">
                        <I18n:formatNumber value="${val}" groupingUsed="false" maxFractionDigits="${decimalFormatUdfFloat}"/>
                    </c:when>
                    <c:when test="${udf.type eq 'integer'}">
                        <I18n:formatNumber value="${val}" groupingUsed="false" maxFractionDigits="0"/>
                    </c:when>
                    <c:when test="${udf.type eq 'list'}">
                        <c:out value="${val.value}" escapeXml="true"/>
                    </c:when>
                    <c:when test="${udf.type eq 'multilist'}">
                        <c:forEach items="${val}" var="item" varStatus="c">

                            <c:out value="${item.value}" escapeXml="true"/>
                            <c:if test="${!c.last}">,</c:if>
                        </c:forEach>
                    </c:when>
                    <c:when test="${udf.type eq 'task'}">
                        <c:forEach var="t" items="${val}" varStatus="status">
                            <c:choose>
                                <c:when test="${t.canManage}">
                                    <html:link styleClass="internal" href="${contextPath}/TaskViewAction.do?method=page&amp;id=${t.id}">
                                        <html:img styleClass="icon" border="0" src="${contextPath}${ImageServlet}/icons/categories/${t.category.icon}"/>
                                        <html:img styleClass="state" border="0" style="background-color: ${t.status.color}" src="${contextPath}${ImageServlet}/cssimages/${(t.status.start && t.status.finish) ? 'finish' : (t.status.start ? 'start' : (t.status.finish ? 'finish' : ''))}state.gif"/>
                                        <c:out value="${t.name}"/>
                                        <em class="number">
                                        #<c:out value="${t.number}"/></em>
                                        
                                    </html:link>
                                </c:when>
                                <c:otherwise>
                                    #<c:out value="${t.number}"/>
                                </c:otherwise>
                            </c:choose>
                            <br>
                        </c:forEach>
                    </c:when>
                    <c:when test="${udf.type eq 'user'}">
                        <c:forEach var="user" items="${val}" varStatus="status">
                            <html:link href="${contextPath}/UserViewAction.do?method=page&amp;id=${user.id}" styleClass="user">
                                <html:img styleClass="icon" border="0"
                                          src="${contextPath}${ImageServlet}/cssimages/${user.active ? 'arw.usr.a.gif' : 'arw.usr.gif'}"/>
                                <c:out value="${user.name}"/>
                                <em class="number"><c:out value="${user.login}"/></em>
                            </html:link>
                            <br>
                        </c:forEach>
                    </c:when>
                    <c:when test="${udf.type eq 'memo'}">
                        <c:out value="${val}" escapeXml="${!udf.htmlview}"/>
                    </c:when>
                    <c:when test="${udf.type eq 'url'}">
                        <html:link styleClass="internal" href="${val.link}">
                            <c:out value="${val.description ne null ? val.description : val.link}" escapeXml="true"/>
                        </html:link>
                    </c:when>
                    <c:otherwise>
                        <c:out value="${val}" escapeXml="${!udf.htmlview}"/>
                    </c:otherwise>
                </c:choose>
            </td>
        </tr>
    </c:if>
</c:forEach>