<%@ page buffer="128kb" errorPage="/jsp/Error.jsp" %>
<%@ taglib uri="struts/html-el" prefix="html" %>
<%@ taglib uri="jstl/c" prefix="c" %>
<%@ taglib uri="jstl/fmt" prefix="I18n" %>
<%@ taglib uri="struts/tiles-el" prefix="tiles" %>


<I18n:setLocale value="${sc.locale}"/>
<I18n:setTimeZone value="${sc.timezone}"/>
<I18n:setBundle basename="language"/>
<tiles:insert page="/jsp/layout/ListLayout.jsp" flush="true">
<tiles:put name="customHeader" value="/jsp/task/reports/TaskReportHeader.jsp"/>
<tiles:put name="header" value="/jsp/task/TaskHeader.jsp"/>
<tiles:put name="tabs" type="string"/>
<tiles:put name="main" type="string">
<div class="blueborder">
<div class="caption">
    <I18n:message key="REPORT_EDIT"/>
</div>
<div class="indent">
<html:form method="post" action="/ReportEditAction" onsubmit="return validate(this)">
<html:hidden property="method"/>
<html:hidden property="id" value="${id}"/>
<html:hidden property="session" value="${session}"/>
<html:hidden property="type"/>
<html:hidden property="reportId"/>
<table class="general" cellpadding="0" cellspacing="0">
    <caption>
        <I18n:message key="REPORT_PROPERTIES"/>
    </caption>
    <COLGROUP>
        <COL class="col_1">
        <COL class="col_2">
    </COLGROUP>
    <tr>
        <th><label for="name">
            <I18n:message key="NAME"/>
            *</label></th>
        <td>
            <html:text styleId="name" property="name" size="40" maxlength="200" alt=">0"/>
        </td>
    </tr>
    <tr>
        <th>
            <I18n:message key="TYPE"/>
        </th>
        <td>
            <c:out value="${reportType}" escapeXml="true"/>
        </td>
    </tr>
    <tr>
        <th><label for="filter">
            <I18n:message key="FILTER"/>
        </label></th>
        <td>
            <html:select property="filter" styleId="filter" onchange="checkFilter(this);">
                <c:forEach var="fli" items="${filters}" varStatus="counter">
                    <html:option value="${fli.id}" styleClass="${fli.priv ? 'private' : ''}">
                        <c:out value="${fli.name}"/>
                    </html:option>
                </c:forEach>

            </html:select>
        </td>
    </tr>
    <tr>
        <th>
            <label for="priv"><span style="white-space: nowrap;"><I18n:message key="SHARE"/></span></label>
        </th>
        <td>
            <c:choose>
                <c:when test="${!canCreatePublicReport}">
                    <html:checkbox property="shared" styleId="shared" styleClass="checkbox" disabled="true"/>
                    <html:hidden property="shared"/>
                </c:when>
                <c:otherwise>
                    <html:checkbox property="shared" styleId="shared" styleClass="checkbox" disabled="${currentFilter.private}"/>
                </c:otherwise>
            </c:choose>
        </td>
    </tr>
    <c:if test="${currentReport ne null}">
        <tr>
            <th>
                <I18n:message key="OWNER"/>
            </th>
            <td><span class="user" ${currentReport.owner.id eq sc.userId ? "id='loggedUser'" : ""}>
            <html:img styleClass="icon" border="0"
                      src="${contextPath}${ImageServlet}/cssimages/${currentReport.owner.active ? 'arw.usr.a.gif' : 'arw.usr.gif'}"/>
            <c:out value="${currentReport.owner.name}" escapeXml="true"/>
			</span></td>
        </tr>
    </c:if>
    <c:if test="${!empty xsltScripts}">
        <c:if test="${type == 'List' || type == 'Tree' || type == 'Trend'}">
            <tr>
                <th>
                    <I18n:message key="USE_XSLT"/>
                </th>
                <td>
                    <c:if test="${!empty xsltScripts}">
                        <div class="selectbox">
                            <label class="sel0" for="insteadOf_none"><html:radio property="linkXsl" value="" styleId="insteadOf_none"/><I18n:message key="NONE"/></label>
                            <c:forEach items="${xsltScripts}" var="script" varStatus="c">
                                <label for="insteadOf_${c.index}"  class="sel${c.index mod 2}">
                                    <html:radio property="linkXsl" value="${script.name}" styleId="insteadOf_${c.index}"/>
                                    <c:out value="${script.name}" escapeXml="true"/>
                                    <div class="sel${c.index mod 2}"><c:out value="${script.description}" escapeXml="true"/></div>
                                </label>
                            </c:forEach>
                        </div>
                    </c:if>
                </td>
            </tr>
            <tr>
                <th>
                    <I18n:message key="CONTENT_TYPE"/>
                </th>
                <td>
                    <html:text styleId="contentType" property="contentType" size="20" maxlength="200"/>
                    <select onchange="document.getElementById('contentType').value = this.value;">
                        <c:forEach var="contenttype" items="${allContentType}" varStatus="counter">
                            <option value="${contenttype}"><c:out value="${contenttype}"/></option>
                        </c:forEach>
                    </select>
                </td>
            </tr>
        </c:if>
    </c:if>
</table>
</div>
<c:if test="${type eq 'Distribution'}">
    <c:if test="${!empty fields}">
        <div class="general">
        <table class="general" cellpadding="0" cellspacing="0">
        <caption>
            <I18n:message key="REPORT_PARAMETERS"/>
        </caption>
        <COLGROUP>
            <COL class="col_1">
            <COL class="col_2">
        </COLGROUP>
        <tr>
            <th>
                <I18n:message key="XFIELD"/>
            </th>
            <td>
                <html:select property="params(xfield)">
                    <html:options collection="fields" property="key" labelProperty="value"/>
                </html:select>
            </td>
        </tr>
        <tr>
            <th>
                <I18n:message key="YFIELD"/>
            </th>
            <td>
                <html:select property="params(yfield)">
                    <html:options collection="fields" property="key" labelProperty="value"/>
                </html:select>
            </td>
        </tr>
    </c:if>
    <c:if test="${!empty values}">
        <tr>
            <th>
                <I18n:message key="VALUE"/>
            </th>
            <td>
                <html:select property="params(value)">
                    <html:options collection="values" property="key" labelProperty="value"/>
                </html:select>
            </td>
        </tr>
    </c:if>
    <c:if test="${!empty functions}">
        <tr>
            <th>
                <I18n:message key="FUNCTION"/>
            </th>
            <td>
                <html:select property="params(function)">
                    <html:options collection="functions" property="key" labelProperty="value"/>
                </html:select>
            </td>
        </tr>
        </table>
        </div>
    </c:if>
</c:if>
<c:if test="${type eq 'UserWorkload'}">
    <div class="general">
    <table class="general" cellpadding="0" cellspacing="0">
        <caption>
            <I18n:message key="REPORT_PARAMETERS"/>
        </caption>
        <COLGROUP>
            <COL class="col_1">
            <COL class="col_2">
        </COLGROUP>
        <tr>
            <th>
                <I18n:message key="MESSAGE_HOURS_FORMAT"/>
            </th>
            <td>
                <html:select property="params(hformat)">
                    <html:option value="hm">
                        <I18n:message key="HHMM"/>
                    </html:option>
                    <html:option value="float">
                        <I18n:message key="DECIMAL"/>
                    </html:option>
                </html:select>
            </td>
        </tr>
        <tr>
            <th>
                <I18n:message key="HIDE_HANDLERS"/>
            </th>
            <td>
                <html:checkbox property="hideHandlers" styleClass="checkbox" disabled="false"/>
            </td>
        </tr>
    </table>

</c:if>

<c:if test="${type eq 'Trend'}">
    <div class="general">
    <table class="general" cellpadding="0" cellspacing="0">
        <caption>
            <I18n:message key="REPORT_PARAMETERS"/>
        </caption>
        <COLGROUP>
            <COL class="col_1">
            <COL class="col_2">
        </COLGROUP>
        <tr>
            <th>
                <I18n:message key="TREND_PERIOD"/>
            </th>
            <td>
                <html:select property="period" value="${periodTrend}">
                    <html:option value="year">
                        <I18n:message key="BUDGET_YEARS"/>
                    </html:option>
                    <html:option value="month">
                        <I18n:message key="BUDGET_MONTHS"/>
                    </html:option>
                    <html:option value="weeks">
                        <I18n:message key="BUDGET_WEEKS"/>
                    </html:option>
                    <html:option value="day">
                        <I18n:message key="BUDGET_DAYS"/>
                    </html:option>
                    <html:option value="hour">
                        <I18n:message key="BUDGET_HOURS"/>
                    </html:option>
                </html:select>
            </td>
        </tr>

    </table>
</c:if>
<c:if test="${type eq 'Gantt'}">
    <div class="general">
    <table class="general" cellpadding="0" cellspacing="0">
        <caption>
            <I18n:message key="REPORT_PARAMETERS"/>
        </caption>
        <COLGROUP>
            <COL class="col_1">
            <COL class="col_2">
        </COLGROUP>
        <tr>
            <th>
                <I18n:message key="PERIOD"/>
            </th>
            <td>
                <html:select property="period" value="${periodGantt}">
                    <html:option value="year">
                        <I18n:message key="BUDGET_YEARS"/>
                    </html:option>
                    <html:option value="month">
                        <I18n:message key="BUDGET_MONTHS"/>
                    </html:option>
                    <html:option value="day">
                        <I18n:message key="BUDGET_DAYS"/>
                    </html:option>
                    <html:option value="hour">
                        <I18n:message key="BUDGET_HOURS"/>
                    </html:option>
                </html:select>
            </td>
        </tr>

    </table>
</c:if>
<div class="controls">
    <input type="submit" class="iconized"
           value="<I18n:message key="SAVE"/>"
           name="SUBMIT">
    <html:button styleClass="iconized secondary" property="cancelButton"
                 onclick="document.location='${contextPath}/ReportAction.do?method=page&id=${id}';">
        <I18n:message key="CANCEL"/>
    </html:button>
</div>
</html:form>
<script type="text/javascript">
    function checkFilter(A) {
        if (A.options[A.selectedIndex].className == 'private') {
            A.form.shared.checked = false;
            A.form.shared.disabled = true;
        } else {
            if (!A.form.shared.checked) A.form.shared.disabled = false;
        }
    }
</script>
</div>
</div>
</tiles:put>
</tiles:insert>
