<%@ page buffer="128kb" errorPage="/jsp/Error.jsp"%>
<%@ taglib uri="struts/html-el" prefix="html" %>
<%@ taglib uri="jstl/c" prefix="c" %>
<%@ taglib uri="jstl/fmt" prefix="I18n" %>
<%@ taglib uri="struts/tiles-el" prefix="tiles" %>
<%@ taglib uri="http://ajaxtags.org/tags/ajax" prefix="ajax" %>


<I18n:setLocale value='${sc.locale}'/>
<I18n:setTimeZone value='${sc.timezone}'/>
<I18n:setBundle basename='language'/>
<tiles:insert page="/jsp/layout/ListLayout.jsp" flush="true">
<tiles:put name="customHeader" value="/jsp/task/reports/TaskReportHeader.jsp"/>
<tiles:put name="header" value="/jsp/task/TaskHeader.jsp"/>

<tiles:put name="tabs" type="string"/>
<tiles:put name="main" type="string">
<div class="blueborder">
<div class="caption"><I18n:message key="REPORT_VIEW"/></div>
<c:if test="${reportId ne null && canEdit}">
    <div class="controlPanel">
        <html:link   href="${contextPath}/ReportEditAction.do?method=page&amp;reportId=${reportId}&amp;id=${id}&amp;type=List"><html:img src="${contextPath}${ImageServlet}/cssimages/ico.edit.gif" styleClass="icon" border="0"/><I18n:message key="REPORT_EDIT"/></html:link>
    </div>
</c:if>
<div class="indent">
    <script type="text/javascript">
        function checkFormat(sender) {
            var tr2 = document.getElementById('trForHideId2');  // deiagram
            var tr3 = document.getElementById('trForHideId3');  // zipped
            var tr4 = document.getElementById('trForHideId4');  // endoded
            var tr5 = document.getElementById('trForHideId5');  // delimeter
            var diagram = document.getElementById('diagram');
            tr4.style.display = '';
            if (!(sender.value == 'XML' || sender.value == 'CSV' || sender.value == 'TreeXML' || sender.value == 'MS Project'))
                tr4.style.display = 'none';
            if (!(sender.value == 'CSV'))
                tr5.style.display = 'none';
            else
                tr5.style.display = '';
            tr3.style.display = '';
            if (sender.value == 'pdf' || sender.value == 'html' || sender.value == 'MS Project' || sender.value == 'xls' || sender.value == 'doc')
                tr3.style.display = 'none';
            try {
                tr2.style.display = '';
                if (sender.value == 'xls' || sender.value == 'text')
                {
                    tr2.style.display = 'none';
                    diagram.checked = false;
                }
            } catch(e) {
            }

        }

        function rebuildReportUrl(){
            var rtype = '${report.type}';
            var url = '${siteUrl}/ReportViewAction.do?method=browse&reportId=${reportId}&id=${id}&autologin=${sc.user.login}&autopassword=<span style=\"color: red;\">PASSWORD</span>';
            var format = document.getElementsByName("format")[0].value;
            url += "&format=" + format;

            if (rtype == 'Tree'){
                if (format == 'MSProject'){
                    var zipped = document.getElementsByName("zipped")[0].checked;
                    url += "&zipped=" + (zipped ? "true" : "false");
                }
                if (format == 'TreeXML'){
                    var charset = document.getElementsByName("charset")[0].value;
                    url += "&charset=" + charset;
                    var zipped = document.getElementsByName("zipped")[0].checked;
                    url += "&zipped=" + (zipped ? "true" : "false");
                }
            }
            if (rtype == 'List'){
                if (format == 'CSV'){
                    var charset = document.getElementsByName("charset")[0].value;
                    url += "&charset=" + charset;
                    var delimiter = document.getElementsByName("delimiter")[0].value;
                    url += "&delimiter=" + delimiter;
                    var zipped = document.getElementsByName("zipped")[0].checked;
                    url += "&zipped=" + (zipped ? "true" : "false");
                }
                if (format == 'XML'){
                    var charset = document.getElementsByName("charset")[0].value;
                    url += "&charset=" + charset;
                    var zipped = document.getElementsByName("zipped")[0].checked;
                    url += "&zipped=" + (zipped ? "true" : "false");
                }
            }

            if (rtype == 'Distribution' || rtype == 'UserWorkload'){
                if (format == 'html' || format == 'pdf' || format == 'doc'){
                    var diagram = document.getElementsByName("diagram")[0].checked;
                    url += "&diagram=" + (diagram ? "true" : "false");
                }
            }
            if (rtype == 'UserWorkload') {
                url += "&hide_handlers=${report.hideHandlers}";
            }
            $('reportUrlId').innerHTML = url;
        }
    </script>
    <table class="general" cellpadding="0" cellspacing="0">
        <caption><I18n:message key="REPORT_PROPERTIES"/></caption>
        <COLGROUP>
            <COL class="col_1">
            <COL class="col_2">
        </COLGROUP>
        <tr>
            <th><label for="name"><I18n:message key="NAME"/></label></th>
            <td><c:out value="${report.name}"/></td>
        </tr>
        <tr>
            <th>
                <I18n:message key="TYPE"/>
            </th>
            <td>
                <c:out value="${reportType}" escapeXml="true"/>
            </td>
        </tr>
        <tr>
            <th><label for="filter"><I18n:message key="FILTER"/></label></th>
            <td>
                <c:out value="${report.filter}" escapeXml="true"/>
            </td>
        </tr>
        <tr>
            <th>
                <label for="priv"><span style="white-space: nowrap;"><I18n:message key="SHARED"/></span></label>
            </th>
            <td>

                <c:choose>
                    <c:when test="${report.priv ne true}">
                        <html:img src="${contextPath}${ImageServlet}/cssimages/ico.checked.gif"/>
                    </c:when>
                    <c:otherwise>
                        <html:img src="${contextPath}${ImageServlet}/cssimages/ico.unchecked.gif"/>
                    </c:otherwise>
                </c:choose>


            </td>
        </tr>
        <tr>
            <th><I18n:message key="OWNER"/></th>
            <td><span class="user" ${report.owner.id eq sc.userId ? "id='loggedUser'" : ""}>
            <html:img  styleClass="icon" border="0" src="${contextPath}${ImageServlet}/cssimages/${report.owner.active ? 'arw.usr.a.gif' : 'arw.usr.gif'}"/>
            <c:out value="${report.owner.name}" escapeXml="true"/>
			</span>
            </td>
        </tr>
        <c:if test="${report.linkXsl ne null && report.linkXsl != ''}">
            <tr>
                <th><I18n:message key="USE_XSLT"/></th>
                <td><c:out value="${report.linkXsl}" escapeXml="true"/></td>
            </tr>
        </c:if>
        <c:if test="${report.contentType ne null && report.contentType != ''}">
            <tr>
                <th><I18n:message key="CONTENT_TYPE"/></th>
                <td><c:out value="${report.contentType}" escapeXml="true"/></td>
            </tr>
        </c:if>
    </table>
</div>

<c:if test="${report.type eq 'Distribution'}">
    <div class="general">
        <table class="general" cellpadding="0" cellspacing="0">
            <caption><I18n:message key="REPORT_PARAMETERS"/></caption>
            <COLGROUP>
                <COL class="col_1">
                <COL class="col_2">
            </COLGROUP>
            <tr>
                <th><I18n:message key="XFIELD"/></th>
                <td><c:out value="${report.xfield}" escapeXml="true" />

                </td>
            </tr>
            <tr>
                <th><I18n:message key="YFIELD"/></th>
                <td>
                    <c:out value="${report.yfield}" escapeXml="true" />
                </td>
            </tr>
            <tr>
                <th><I18n:message key="VALUE"/></th>
                <td>
                    <c:out value="${report.value}" escapeXml="true" />
                </td>
            </tr>
            <tr>
                <th><I18n:message key="FUNCTION"/></th>
                <td>
                    <c:out value="${report.function}" escapeXml="true" />
                </td>
            </tr>
        </table>
    </div>
</c:if>
<c:if test="${report.type eq 'UserWorkload'}">
    <div class="general">
        <table class="general" cellpadding="0" cellspacing="0">
            <caption><I18n:message key="REPORT_PARAMETERS"/></caption>
            <COLGROUP>
                <COL class="col_1">
                <COL class="col_2">
            </COLGROUP>
            <tr>
                <th><I18n:message key="MESSAGE_HOURS_FORMAT"/></th>
                <td>

                    <c:choose>
                        <c:when test="${report.hformat eq 'hm'}">
                            <I18n:message key="HHMM"/>
                        </c:when>
                        <c:otherwise>
                            <I18n:message key="DECIMAL"/>
                        </c:otherwise>
                    </c:choose>
                </td>
            </tr>
            <tr>
                <th><I18n:message key="HIDE_HANDLERS"/></th>
                <td>
                    <c:choose>
                        <c:when test="${report.hideHandlers eq true}">
                            <html:img src="${contextPath}${ImageServlet}/cssimages/ico.checked.gif"/>
                        </c:when>
                        <c:otherwise>
                            <html:img src="${contextPath}${ImageServlet}/cssimages/ico.unchecked.gif"/>
                        </c:otherwise>
                    </c:choose>
                </td>
                </td>
            </tr>
        </table>
    </div>
</c:if>
<c:if test="${report.type eq 'Trend'}">
    <div class="general">
        <table class="general" cellpadding="0" cellspacing="0">
            <caption><I18n:message key="REPORT_PARAMETERS"/></caption>
            <COLGROUP>
                <COL class="col_1">
                <COL class="col_2">
            </COLGROUP>
            <tr>
                <th><I18n:message key="TREND_PERIOD"/></th>
                <td>
                    <c:if test="${report.period eq 'year'}">
                        <I18n:message key="BUDGET_YEARS"/>
                    </c:if>
                    <c:if test="${report.periodTrend eq 'month'}">
                        <I18n:message key="BUDGET_MONTHS"/>
                    </c:if>
                    <c:if test="${report.period eq 'week'}">
                        <I18n:message key="BUDGET_WEEKS"/>
                    </c:if>
                    <c:if test="${report.period eq 'day'}">
                        <I18n:message key="BUDGET_DAYS"/>
                    </c:if>
                    <c:if test="${report.period eq 'hour'}">
                        <I18n:message key="BUDGET_HOURS"/>
                    </c:if>
                </td>
            </tr>
        </table>
    </div>
</c:if>
<c:if test="${report.type eq 'Gantt'}">
    <div class="general">
        <table class="general" cellpadding="0" cellspacing="0">
            <caption><I18n:message key="REPORT_PARAMETERS"/></caption>
            <COLGROUP>
                <COL class="col_1">
                <COL class="col_2">
            </COLGROUP>
            <tr>
                <th><I18n:message key="PERIOD"/></th>
                <td>
                    <c:if test="${report.period eq 'year'}">
                        <I18n:message key="BUDGET_YEARS"/>
                    </c:if>
                    <c:if test="${report.period eq 'month'}">
                        <I18n:message key="BUDGET_MONTHS"/>
                    </c:if>
                    <c:if test="${report.period eq 'day'}">
                        <I18n:message key="BUDGET_DAYS"/>
                    </c:if>
                    <c:if test="${report.period eq 'hour'}">
                        <I18n:message key="BUDGET_HOURS"/>
                    </c:if>
                </td>
            </tr>
        </table>
    </div>
</c:if>

<div class=caption><I18n:message key="GENERATE_REPORT"/></div>

<c:if test="${canManageTaskFilters}">

    <ajax:tabPanel
            panelStyleId="${sc.currentSpace}"
            panelStyleClass="controlPanel"
            contentStyleId="yellowbox"
            currentStyleId="selected"
            baseUrl="${contextPath}/ReportViewAction.do?method=page&id=${id}&reportId=${report.id}"
            >
        <ajax:tab
                baseUrl="${contextPath}/ReportFilterParametersAction.do?method=page&id=${id}&reportId=${report.id}"
                defaultTab="${sc.defaultTab eq 'ReportFilterParametersAction'}"
                ><html:img src="${contextPath}${ImageServlet}/cssimages/ico.filterproperties.gif" border="0"/><I18n:message key="FILTER_PARAMETERS"/></ajax:tab>
    </ajax:tabPanel>

</c:if>
<div class="indent">
    <html:form method="post" styleId="generalReport" action="/ReportViewAction">
        <html:hidden property="id" value="${id}"/>
        <html:hidden property="session" value="${session}"/>
        <html:hidden property="reportId"/>
        <html:hidden property="method" value="changeFilter"/>

        <table class="general" cellpadding="0" cellspacing="0">

            <COLGROUP>
                <COL class="col_1">
                <COL class="col_2">
            </COLGROUP>
            <tr>
                <th><I18n:message key="FORMAT"/></th>
                <td>
                    <html:select styleId="format" property="format" onchange="checkFormat(this); rebuildReportUrl();" alt="mustChoose(format)" >
                        <c:if test="${report.type ne 'Trend'}">
                            <c:choose>
                                <c:when test="${report.type eq 'Tree'}">
                                    <html:option value="MSProject">MS Project</html:option>
                                    <html:option value="TreeXML">XML Tree</html:option>
                                </c:when>
                                <c:otherwise>
                                    <html:option value="html">HTML</html:option>
                                    <html:option value="pdf">PDF</html:option>
                                    <html:option value="xls">Excel</html:option>
                                    <html:option value="doc">Word</html:option>
                                </c:otherwise>
                            </c:choose>
                        </c:if>
                        <c:if test="${report.type eq 'List'}">
                            <html:option value="CSV">CSV</html:option>
                            <html:option value="XML">XML</html:option>
                        </c:if>
                        <c:if test="${report.type eq 'Trend'}">
                            <html:option value="CSV">CSV</html:option>
                            <html:option value="XML">XML</html:option>
                        </c:if>
                    </html:select>
                </td>
            </tr>
            <c:if test="${(report.type eq 'Distribution') || (report.type eq 'UserWorkload')}">
                <tr id="trForHideId2" style="display:''">
                    <th><I18n:message key="DRAW_DIAGRAM"/></th>
                    <td><html:checkbox property="diagram" onchange="rebuildReportUrl();"/></td>
                </tr>
            </c:if>
            <tr id="trForHideId3" style="display:none">
                <th>
                    <I18n:message key="ZIPPED"/>
                </th>
                <td>
                    <input type="checkbox" name="zipped" class="checkbox" onchange="rebuildReportUrl();">
                </td>
            </tr>
            <c:choose>
                <c:when test="${report.type eq 'Tree'}">
                    <tr id="trForHideId4" style="display:''">
                        <th>
                            <I18n:message key="CHARSET_ENCODING"/>
                        </th>
                        <td>
                            <html:select property="charset" value="${defCharSet}" onchange="rebuildReportUrl();">
                                <c:forEach var="charset" items="${charsetList}">
                                    <html:option value="${charset}"><c:out value="${charset}" escapeXml="false"/></html:option>
                                </c:forEach>
                            </html:select>
                        </td>
                    </tr>
                    <tr id="trForHideId5" style="display:none">
                        <th>
                            <I18n:message key="DELIMITER"/>
                        </th>
                        <td>
                            <html:select property="delimiter" value="," onchange="rebuildReportUrl();">
                                <html:option value=","/>
                                <html:option value=";"/>
                            </html:select>
                        </td>
                    </tr>
                </c:when>
                <c:otherwise>
                    <tr id="trForHideId4" style="display:none">
                        <th>
                            <I18n:message key="CHARSET_ENCODING"/>
                        </th>
                        <td>
                            <html:select property="charset" value="${defCharSet}" onchange="rebuildReportUrl();">
                                <c:forEach var="charset" items="${charsetList}">
                                    <html:option value="${charset}"><c:out value="${charset}" escapeXml="false"/></html:option>
                                </c:forEach>
                            </html:select>
                        </td>
                    </tr>
                    <tr id="trForHideId5" style="display:none">
                        <th>
                            <I18n:message key="DELIMITER"/>
                        </th>
                        <td>
                            <html:select property="delimiter" value=";" onchange="rebuildReportUrl();">
                                <html:option value=","/>
                                <html:option value=";"/>
                            </html:select>
                        </td>
                    </tr>
                </c:otherwise>
            </c:choose>
            <tr>
                <th><I18n:message key="LINK" /></th>
                <td>
                <span id="reportUrlId">
                ${siteUrl}/ReportViewAction.do?method=browse&reportId=${reportId}&id=${id}&autologin=${sc.user.login}&autopassword=<span style="color:red;">PASSWORD</span>&format=<c:choose><c:when test="${report.type eq 'Tree'}">MSProject</c:when><c:otherwise>html</c:otherwise></c:choose><c:if test="${(report.type eq 'Distribution') || (report.type eq 'UserWorkload')}">&diagram=false</c:if><c:if test="${report.type eq 'Tree'}">&charset=${defCharSet}</c:if><c:if test="${report.type eq 'UserWorkload'}">&hide_handlers=${report.hideHandlers}</c:if>
                </span>
                </td>
            </tr>
        </table>
        <c:if test="${report.type eq 'Trend'}">
            <script type="text/javascript">
                document.getElementById('trForHideId3').style.display = '';
                document.getElementById('trForHideId4').style.display = '';
                document.getElementById('trForHideId5').style.display = '';
            </script>
        </c:if>
        <div class="controls">
            <input type="submit" class="iconized" value="<I18n:message key="GENERATE_REPORT"/>" name="SUBMIT" onclick="this.form.method.value='browse';this.form.target='_blank';return true;"/>
        </div>
    </html:form>
</div>
</div>
</tiles:put>
</tiles:insert>
