<%@ page buffer="128kb" errorPage="/jsp/Error.jsp"%>
<%@ taglib uri="struts/html-el" prefix="html" %>
<%@ taglib uri="jstl/c" prefix="c" %>
<%@ taglib uri="jstl/fmt" prefix="I18n" %>
<%@ taglib uri="struts/tiles-el" prefix="tiles" %>
<%@ taglib uri="http://ajaxtags.org/tags/ajax" prefix="ajax" %>
<I18n:setLocale value='${sc.locale}'/>
<I18n:setTimeZone value='${sc.timezone}'/>
<I18n:setBundle basename='language'/>
<tiles:insert page="/jsp/layout/ListLayout.jsp" flush="true">
    <tiles:put name="header" value="/jsp/task/TaskHeader.jsp"/>
    <tiles:put name="customHeader" type="string"/>
    <tiles:put name="tabs" type="string"/>
    <tiles:put name="main" type="string">
        <c:if test="${canSCM}">
            <div class="blueborder">
                <div class="caption"><I18n:message key="TASK_SCM"/></div>
                <div class="indent">
                    <c:out value="${dif}"/>
                    <table class="general" cellpadding="0" cellspacing="0">
                        <tr class="wide">
                            <c:if test="${isSVN}">
                                <th><I18n:message key="REVISION"/></th>
                            </c:if>
                            <th><I18n:message key="SUBMITTER"/></th>
                            <th><I18n:message key="DATE"/></th>
                            <th><I18n:message key="COMMENT"/></th>
                        </tr>
                        <c:forEach var="commit" items="${lastCommits}" varStatus="varCounter">
                            <tr class="line<c:out value="${varCounter.index mod 2}"/>">
                                <c:if test="${isSVN}">
                                    <td><c:if test="${isSVN}"><c:out value="${commit.revision}"/></c:if></td>
                                </c:if>
                                <td><span class="user" ${sc.userId eq commit.authorId  ? "id='loggedUser'" : ""}><html:img  styleClass="icon" border="0" src="${contextPath}${ImageServlet}/cssimages/${commit.authorId ne null && commit.author.active ? 'arw.usr.a.gif' : 'arw.usr.gif'}"/><c:out value="${commit.authorId ne null? commit.author.name: commit.authorLogin}" escapeXml="true"/></span></td>
                                <td><I18n:formatDate value="${commit.date.time}" type="both" dateStyle="short" timeStyle="short"/></td>
                                <td><c:out value="${commit.message}" escapeXml="false"/></td>
                            </tr>
                        </c:forEach>
                    </table>
                    <c:out value="${slider}" escapeXml="false"/>
                </div>
            </div>
        </c:if>
    </tiles:put>
</tiles:insert>
