<%@ page buffer="128kb" errorPage="/jsp/Error.jsp" %>
<%@ taglib uri="struts/html-el" prefix="html" %>
<%@ taglib uri="jstl/c" prefix="c" %>
<%@ taglib uri="jstl/fmt" prefix="I18n" %>
<%@ taglib uri="struts/tiles-el" prefix="tiles" %>
<%@ taglib uri="http://ajaxtags.org/tags/ajax" prefix="ajax" %>
<%@ taglib uri="http://trackstudio.com" prefix="ts" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<I18n:setLocale value="${sc.locale}"/>
<I18n:setTimeZone value="${sc.timezone}"/>
<I18n:setBundle basename="language"/>
<tiles:insert page="/jsp/layout/ListLayout.jsp" flush="true">
    <tiles:put name="header" value="/jsp/task/TaskHeader.jsp"/>
    <tiles:put name="customHeader" type="string"/>
    <tiles:put name="tabs" type="string"/>
    <tiles:put name="main" type="string">
        <c:if test="${canView}">
            <div>
                <div class="caption" style="border-color:#FFFFFF; padding-left: 20px; font-size: 20px; background-color:#FFFFFF">
                    <c:out value="${tci.name}"/>
                    <span style="float:right; padding-right:10px;">
                        <c:if test="${canEditTask}">
                             <input type="button" onclick="document.location = '${contextPath}/TaskEditAction.do?method=page&id=${id}';" value="<I18n:message key="EDIT"/>">
                        </c:if>
                    </span>
                </div>
                <span class="user" style="padding-left:20px;" ${tci.submitterId eq sc.userId ? "id='loggedUser'" : ""}>
                    <html:img styleClass="icon" border="0" src="${contextPath}${ImageServlet}/cssimages/${tci.submitter.active ? 'arw.usr.a.gif' : 'arw.usr.gif'}"/>
                    <c:out value="${tci.submitter.name}" escapeXml="true"/>,&nbsp;
	            </span><I18n:formatDate value="${tci.updatedate.time}" type="both" dateStyle="short" timeStyle="short"/>
                &nbsp;<html:link href="${contextPath}/task/${tci.number}?thisframe=true" title="#${tci.number}">[#${tci.number}]</html:link><br>
                <div style="padding-left:20px;padding-top:20px;">
                    <ts:htmlfilter session="${sc.id}">
                        <c:out value="${tci.description}" escapeXml="false"/>
                    </ts:htmlfilter><br>
                </div>
                <c:if test="${!empty attachments}">
                    <table class="general" style="background-color:#FFFFFF;border-color:#FFFFFF;">
                        <tr>
                            <td>
                                <c:forEach items="${attachments}" var="ata">
                                    <c:if test="${!ata.deleted}">
                                        <a class="internal" target="_blank" href="<c:url value="/download/task/${tci.number}/${ata.id}/${ata.name}"/>" title="<c:out value="${ata.description}"/>">
                                            <html:img src="${contextPath}${ImageServlet}/cssimages/ico.attachment2.gif" hspace="4" vspace="0" border="0" align="middle" altKey="ATTACHMENT"/><c:out value="${ata.name}"/>
                                        </a>
                                    </c:if>
                                    <c:if test="${deleteAttach[ata.id]}">
                                        <html:link href="${contextPath}/AttachmentViewAction.do?taskId=${tci.id}&amp;method=deleteTaskUpload&amp;delete=${attachment.id}">
                                            <img alt="<I18n:message key="DELETE"/>" title="<I18n:message key="DELETE"/>" border="0" hspace="0" vspace="0" src="${contextPath}${ImageServlet}/cssimages/delete.png"/>
                                        </html:link>
                                    </c:if>
                                    <c:if test="${ata.deleted}">
                                        <html:img src="${contextPath}${ImageServlet}/cssimages/ico.attachment2.gif" hspace="4" vspace="0" border="0" altKey="ATTACHMENT"/><img border="0" hspace="0" vspace="0" title="<I18n:message key="ATTACHMENT_DELETED"/>" src="${contextPath}${ImageServlet}/cssimages/warning.gif"/><c:out value="${ata.name}"/>
                                    </c:if>
                                </c:forEach>
                            </td>
                        </tr>
                    </table>
                </c:if>
                <c:if test="${!empty documents}">
                    <style type="text/css">
                        .book {
                            background-color: #DDD;
                            border-radius: 15px 15px;
                            margin-right: 20px;
                            margin-top: 10px;
                            padding: 20px;
                        }
                    </style>
                    <div class="book">
                        <c:forEach items="${documents}" var="doc">
                            <html:link styleClass="internal" href="${contextPath}/task/${doc.number}?thisframe=true" title="#${doc.number}">
                                <html:img border="0" style="vertical-align:bottom;" src="${contextPath}${ImageServlet}/icons/categories/${doc.category.icon}"/>
                                <c:out value="${doc.name}" escapeXml="true"/><em class="number">&nbsp;[<c:if test="${!empty doc.shortname}"><c:out value="${tci.shortname}" escapeXml="true"/> </c:if>#<c:out value="${doc.number}" escapeXml="true"/>]</em>
                            </html:link><br>
                        </c:forEach>
                    </div>
                </c:if>
            </div>
        </c:if>
    </tiles:put>
</tiles:insert>