<%@ page buffer="128kb" errorPage="/jsp/Error.jsp" %>
<%@ taglib uri="struts/html-el" prefix="html" %>
<%@ taglib uri="jstl/c" prefix="c" %>
<%@ taglib uri="jstl/fmt" prefix="I18n" %>
<%@ taglib uri="struts/tiles-el" prefix="tiles" %>
<%@ taglib uri="http://ajaxtags.org/tags/ajax" prefix="ajax" %>
<%@ taglib uri="http://trackstudio.com" prefix="ts" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<I18n:setLocale value="${sc.locale}"/>
<I18n:setTimeZone value="${sc.timezone}"/>
<I18n:setBundle basename="language"/>
<tiles:insert page="/jsp/layout/ListLayout.jsp" flush="true">
    <tiles:put name="header" value="/jsp/task/TaskHeader.jsp"/>
    <tiles:put name="customHeader" type="string"/>
    <tiles:put name="tabs" type="string"/>
    <tiles:put name="main" type="string">
        <c:if test="${canView}">
            <div>
                <div class="caption" style="border-color:#FFFFFF; padding-left:20px; font-size: 20px; background-color:#FFFFFF">
                    <c:out value="${tci.name}"/>
                    <span style="float:right; padding-right:10px;">
                         <c:if test="${canCreateTaskAttachments && canEditTask}">
                             <html:link styleClass="internal" href="javascript:{}" onclick="window.open('${contextPath}/UploadAppletAction.do?method=page&amp;id=${id}','uplWin','dependent=yes,menubar=no,toolbar=no,status=no,scrollbars=no,titlebar=no,left=0,top=20,width=780,height=390,resizable=no');">
                                 <html:img src="${contextPath}${ImageServlet}/cssimages/ico.attachment.gif" border="0"/>
                                 <I18n:message key="UPLOAD_MANAGER"/>
                             </html:link>
                         </c:if>
                        <c:if test="${canEditTask}">
                            <input type="button" onclick="document.location = '${contextPath}/TaskEditAction.do?method=page&id=${id}';" value="<I18n:message key="EDIT"/>">
                        </c:if>
                    </span>
                </div>
                <span class="user" style="padding-left:20px;" ${tci.submitterId eq sc.userId ? "id='loggedUser'" : ""}>
                                    <html:img styleClass="icon" border="0" src="${contextPath}${ImageServlet}/cssimages/${tci.submitter.active ? 'arw.usr.a.gif' : 'arw.usr.gif'}"/>
                                    <c:out value="${tci.submitter.name}" escapeXml="true"/>,&nbsp;
                                </span><I18n:formatDate value="${tci.updatedate.time}" type="both" dateStyle="short" timeStyle="short"/>
                &nbsp;<html:link href="${contextPath}/task/${tci.number}?thisframe=true" title="#${tci.number}">[#${tci.number}]</html:link><br>
                <c:if test="${!empty containers}">
                    <div style="padding-left:30px;padding-top:10px;padding-bottom:10px;">
                        <c:forEach items="${containers}" var="container">
                            <div>
                                <html:link styleClass="internal" href="${contextPath}/task/${container.number}?thisframe=true" title="#${container.number}">
                                    <html:img border="0" style="vertical-align:bottom;" src="${contextPath}${ImageServlet}/cssimages/box.jpg"/>
                                    <span style="font-size:16px;vertical-align:middle;"><c:out value="${container.name}" escapeXml="true"/><em class="number">&nbsp;[<c:if test="${!empty container.shortname}"><c:out value="${container.shortname}" escapeXml="true"/> </c:if>#<c:out value="${container.number}" escapeXml="true"/>]</em></span>
                                </html:link>
                            </div><br>
                        </c:forEach>
                    </div>
                </c:if>
                <c:if test="${!empty attachments}">
                    <style type="text/css">
                        .content-in-center {
                            display: table-cell;
                            vertical-align: middle;
                            text-align:center;
                            width:230px;
                            height:200px;
                        /*border:1px #a9a9a9 solid;*/
                        }
                    </style>
                    <table style="border:1px black; margin-left:10px;">
                        <tr>
                            <c:forEach items="${attachments}" var="ata">
                                <td style="padding-left:5px;padding-right:5px;">
                                    <div class="content-in-center">
                                        <c:choose>
                                            <c:when test="${ata.movie}">
                                                <div style="border: 1px #a9a9a9 solid; width:200px;height:200px;">
                                                    <embed src="/download/task/${ata.task.number}/${ata.id}/${ata.name}"
                                                           width="200"
                                                           height="200"
                                                           allowscriptaccess="always"
                                                           allowfullscreen="false"/>
                                                </div>
                                            </c:when>
                                            <c:otherwise>
                                                <c:choose>
                                                    <c:when test="${ata.thumbnailed}">
                                                        <a class="internal" rel="lytebox" href="<c:url value="/download/task/${ata.task.number}/${ata.id}/${ata.name}"/>">
                                                            <img style="border: 1px #a9a9a9 solid;" src="${contextPath}/TSImageServlet?attId=${ata.id}&width=200&height=200" hspace="0" vspace="0">
                                                        </a>
                                                    </c:when>
                                                    <c:otherwise>
                                                        <img style="border: 1px #a9a9a9 solid;" src="${contextPath}${ImageServlet}/cssimages/no_image.jpg" hspace="0" vspace="0">
                                                    </c:otherwise>
                                                </c:choose>
                                            </c:otherwise>
                                        </c:choose>
                                    </div><br>
                                    <table class="general" style="background-color:#FFFFFF;border-color:#FFFFFF;">
                                        <tr>
                                            <td style="text-align:center;">
                                                <c:if test="${!ata.deleted}">
                                                    <a class="internal" target="_blank" href="<c:url value="/download/task/${tci.number}/${ata.id}/${ata.name}"/>" title="<c:out value="${ata.description}"/>">
                                                        <html:img src="${contextPath}${ImageServlet}/cssimages/ico.attachment2.gif" hspace="4" vspace="0" border="0" align="middle" altKey="ATTACHMENT"/><c:out value="${ata.name}"/>
                                                    </a>
                                                </c:if>
                                                <c:if test="${deleteAttach[ata.id]}">
                                                    <html:link href="${contextPath}/AttachmentViewAction.do?taskId=${tci.id}&amp;method=deleteTaskUpload&amp;delete=${ata.id}">
                                                        <img alt="<I18n:message key="DELETE"/>" title="<I18n:message key="DELETE"/>" border="0" hspace="0" vspace="0" src="${contextPath}${ImageServlet}/cssimages/delete.png"/>
                                                    </html:link>
                                                </c:if>
                                                <c:if test="${ata.deleted}">
                                                    <html:img src="${contextPath}${ImageServlet}/cssimages/ico.attachment2.gif" hspace="4" vspace="0" border="0" altKey="ATTACHMENT"/><img border="0" hspace="0" vspace="0" title="<I18n:message key="ATTACHMENT_DELETED"/>" src="${contextPath}${ImageServlet}/cssimages/warning.gif"/><c:out value="${ata.name}"/>
                                                </c:if>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </c:forEach>
                        </tr>
                    </table>
                </c:if>
            </div>
        </c:if>
    </tiles:put>
</tiles:insert>