<%@ page buffer="128kb" errorPage="/jsp/Error.jsp" %>
<%@ taglib uri="struts/html-el" prefix="html" %>
<%@ taglib uri="jstl/c" prefix="c" %>
<%@ taglib uri="jstl/fmt" prefix="I18n" %>
<%@ taglib uri="struts/tiles-el" prefix="tiles" %>
<%@ taglib uri="http://ajaxtags.org/tags/ajax" prefix="ajax" %>
<%@ taglib uri="http://trackstudio.com" prefix="ts" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<I18n:setLocale value="${sc.locale}"/>
<I18n:setTimeZone value="${sc.timezone}"/>
<I18n:setBundle basename="language"/>
<tiles:insert page="/jsp/layout/ListLayout.jsp" flush="true">
<tiles:put name="header" value="/jsp/task/TaskHeader.jsp"/>
<tiles:put name="customHeader" type="string"/>
<tiles:put name="tabs" type="string"/>
<tiles:put name="main" type="string">
<c:if test="${canView}">
<script language="JavaScript">
    function deleteMessages() {
        return deleteConfirm("<I18n:message key="DELETE_MESSAGE_HISTORY_REQ"/>", "messageForm");
    }

    function openDescription(Sender){
        Sender.parentNode.className="taskDescription descopened";
    }
    function closeDescription(Sender){
        Sender.parentNode.className="taskDescription descclosed";
    }

</script>

<c:if test="${!empty tci.description && fn:length(tci.description)>0}">
    <div class="taskDescription descclosed">
        <label class="labelclose" onclick="closeDescription(this);"><img  src="${contextPath}${ImageServlet}/cssimages/compact.png" class="icon"  title="<I18n:message key="LESS"/>"><I18n:message key="LESS"/></label>
        <div class="content" id="taskDescription">
            <div class="indent">
                <ts:htmlfilter session="${sc.id}"><c:out value="${tci.description}" escapeXml="false"/></ts:htmlfilter>
            </div>
        </div>
        <label class="labelopen" onclick="openDescription(this);"><img  src="${contextPath}${ImageServlet}/cssimages/scrollToObject.png" class="icon" title="<I18n:message key="MORE"/>"><I18n:message key="MORE"/></label>
    </div>
    <script language="JavaScript">
        var para = document.getElementById("taskDescription");
        if (para.scrollHeight<=para.clientHeight){
            para.parentNode.className="taskDescription";
        }
    </script>
</c:if>


<script type="text/javascript">

    function showBookmarkDialog(bookmarkName,  taskId) {
        document.getElementById('bookmark_name').value = bookmarkName;

        document.getElementById('task_id').value = taskId;
        YAHOO.trackstudio.bookmark.bookmark_dialog.show();
    }

    function showBookmarkDialogSimple() {
        showBookmarkDialog('<c:out value="${title}" escapeXml="false"/>', '<c:out value="${tci.id}"/>');
    }

</script>
<div id="servicePanel" class="${selectedIds!=null && !empty selectedIds ? "norm" : "closed"}">
    <span>
    <img id="windowhideicon" src="${contextPath}${ImageServlet}/cssimages/ico.hidewin.gif" class="icon" onclick="hideServicePanel();" title="<I18n:message key="HIDE"/>">
    <img id="windowopenicon" src="${contextPath}${ImageServlet}/cssimages/ico.openwin.gif" class="icon" onclick="hideServicePanel();" title="<I18n:message key="OPEN"/>">
    <img id="windowcloseicon" src="${contextPath}${ImageServlet}/cssimages/ico.closewin.gif" class="icon" onclick="closeServicePanel();" title="<I18n:message key="CLOSE"/>">
        </span>
    <c:forEach items="${selectedIds}" var="st">
        <label id="_spi_<c:out value="${st.id}"/>" style="padding-top: 1px; padding-bottom: 1px; font-family: Verdana; font-size: 11px; font-weight: bold;" title="[#${st.number}] <c:out value="${st.name}"/>" onclick="placeOnServicePanel('<c:out value="${st.id}"/>','#<c:out value="${st.number}"/>');" for="#<c:out value="${st.number}"/>">#<c:out value="${st.number}"/> </label>
    </c:forEach>

</div>
<div class="blueborder">
<div class="caption">
    <html:link href="javascript:showBookmarkDialogSimple();" style="float:right;padding-right:5px;">
        <html:img src="${contextPath}${ImageServlet}/cssimages/ico.star.gif" border="0" />
    </html:link>
    <div class="navigation">
        <c:if test="${prev ne null}">&lt; <html:link styleClass="internal" href="${contextPath}/TaskViewAction.do?method=page&amp;id=${prev.id}&amp;thisframe=true" title="${prev.name}">
            <I18n:message key="PREV"/>
        </html:link></c:if>
        <c:if test="${position ne null}">${position+1} <I18n:message key="OF"/> ${listSize}</c:if>
        <c:if test="${next ne null}"><html:link styleClass="internal" href="${contextPath}/TaskViewAction.do?method=page&amp;id=${next.id}&amp;thisframe=true" title="${next.name}">
            <I18n:message key="NEXT"/>
        </html:link> &gt;</c:if>
    </div>
    <a class="internal_properties" style="font-size:14px;" href="${contextPath}/task/${tci.number}?thisframe=true#taskProperties" id="taskProperties">
        <I18n:message key="TASK_PROPERTIES"/>
    </a>
    <c:if test="${showClipboardButton}">
        <html:link style="float: right; text-decoration: none; font-weight: normal;padding-right: 20px;" onclick="placeOnServicePanel('${id}','#${tci.number}')" href="${contextPath}/SubtaskAction.do?method=clipboardOperation&amp;id=${tci.parent.id}&amp;collector=${id}&amp;operation=COPY"><html:img src="${contextPath}${ImageServlet}/cssimages/ico.copy.gif" border="0"/><I18n:message key="COPY"/></html:link>
        <html:link style="float: right; text-decoration: none; font-weight: normal;padding-right: 5px;padding-left: 5px;" onclick="placeOnServicePanel('${id}','#${tci.number}')" href="${contextPath}/SubtaskAction.do?method=clipboardOperation&amp;id=${tci.parent.id}&amp;collector=${id}&amp;operation=CUT"><html:img src="${contextPath}${ImageServlet}/cssimages/ico.cut.gif" border="0"/><I18n:message key="CUT"/></html:link>
    </c:if>
</div>
<div class="controlPanel">
    <script type="text/javascript">
        var mstatusMenu = {};
    </script>
    <c:if test="${canEditTask}">
        <html:link href="${contextPath}/TaskEditAction.do?method=page&id=${id}">
            <html:img src="${contextPath}${ImageServlet}/cssimages/ico.edit.gif" border="0" altKey="EDIT"/>
            <I18n:message key="EDIT"/>
        </html:link>
    </c:if>
    <c:if test="${canCreateTaskAttachments && canEditTask}">
        <html:link href="${contextPath}/AttachmentEditAction.do?method=attachToTask&id=${id}">
            <html:img src="${contextPath}${ImageServlet}/cssimages/ico.attachment.gif" border="0"/>
            <I18n:message key="FILE_ADD"/>
        </html:link>
        <html:link  href="javascript:{}" onclick="window.open('${contextPath}/UploadAppletAction.do?method=page&amp;id=${id}',
                     'uplWin','dependent=yes,menubar=no,toolbar=no,status=no,scrollbars=no,titlebar=no,left=0,top=20,width=780,height=390,resizable=no');">
            <html:img src="${contextPath}${ImageServlet}/cssimages/ico.attachment.gif" border="0"/>
            <I18n:message key="UPLOAD_MANAGER"/>
        </html:link>
    </c:if>


    <c:forEach items="${mstatuses}" var="mstatus">
        <c:choose>
            <c:when test="${isMessageNull}">
                <c:choose>
                    <c:when test="${fn:indexOf(mstatus.action,'/')>0}">
                        <c:set var="menuGroup" value="${fn:substringBefore(mstatus.action,'/')}"/>
                        <script type="text/javascript">
                            if (!mstatusMenu['${menuGroup}']){
                                mstatusMenu['${menuGroup}'] = new TSMenu();
                                mstatusMenu['${menuGroup}'].width = 320;
                            }
                            mstatusMenu['${menuGroup}'].add(new TSMenuItem("<c:out value="${fn:substringAfter(mstatus.action,'/')}"/>", "${contextPath}/MessageCreateAction.do?method=page&id=${id}&mstatus=${mstatus.id}", false, false, "<c:out value="${contextPath}"/>${ImageServlet}/cssimages/ico.messagetypes.gif"));
                        </script>
                    </c:when>

                    <c:otherwise>
                        <c:choose>
                            <c:when test="${fn:indexOf(mstatus.preferences,'T')>-1}">
                                <html:link  title="${mstatus.description}"
                                            href="${contextPath}/MessageCreateAction.do?method=page&id=${id}&mstatus=${mstatus.id}">
                                    <html:img src="${contextPath}${ImageServlet}/cssimages/ico.messagetypes.gif" border="0"/>
                                    <c:out value="${mstatus.action}"/>
                                </html:link>
                            </c:when>
                            <c:otherwise>
                                <script type="text/javascript">
                                    if (!mstatusMenu['<I18n:message key="OTHER_ACTIONS"/>']){
                                        mstatusMenu['<I18n:message key="OTHER_ACTIONS"/>'] = new TSMenu();
                                        mstatusMenu['<I18n:message key="OTHER_ACTIONS"/>'].width = 320;
                                    }
                                    mstatusMenu['<I18n:message key="OTHER_ACTIONS"/>'].add(new TSMenuItem("<c:out value="${mstatus.action}"/>", "${contextPath}/MessageCreateAction.do?method=page&id=${id}&mstatus=${mstatus.id}", false, false, "<c:out value="${contextPath}"/>${ImageServlet}/cssimages/ico.messagetypes.gif"));
                                </script>
                            </c:otherwise>
                        </c:choose>
                    </c:otherwise>
                </c:choose>
            </c:when>
            <c:otherwise>
                <c:choose>
                    <c:when test="${fn:indexOf(mstatus.action,'/')>0}">
                        <c:set var="menuGroup" value="${fn:substringBefore(mstatus.action,'/')}"/>
                        <script type="text/javascript">
                            if (!mstatusMenu['${menuGroup}']){
                                mstatusMenu['${menuGroup}'] = new TSMenu();
                                mstatusMenu['${menuGroup}'].width = 320;
                            }
                            mstatusMenu['${menuGroup}'].add(new TSMenuItem("<c:out value="${fn:substringAfter(mstatus.action,'/')}"/>", "javascript:$('formMethod').value='page'; $('formMstatus').value='${mstatus.id}'; $('messageCreateActionForm').submit();", false, false, "<c:out value="${contextPath}"/>${ImageServlet}/cssimages/ico.messagetypes.gif"));
                        </script>
                    </c:when>

                    <c:otherwise>
                        <c:choose>
                            <c:when test="${fn:indexOf(mstatus.preferences,'T')>-1}">
                                <html:link  title="${mstatus.description}"
                                            href="javascript:$('formMethod').value='page'; $('formMstatus').value='${mstatus.id}'; $('messageCreateActionForm').submit();">
                                    <html:img src="${contextPath}${ImageServlet}/cssimages/ico.messagetypes.gif" border="0"/>
                                    <c:out value="${mstatus.action}"/>
                                </html:link>
                            </c:when>
                            <c:otherwise>
                                <script type="text/javascript">
                                    if (!mstatusMenu['<I18n:message key="OTHER_ACTIONS"/>']){
                                        mstatusMenu['<I18n:message key="OTHER_ACTIONS"/>'] = new TSMenu();
                                        mstatusMenu['<I18n:message key="OTHER_ACTIONS"/>'].width = 320;
                                    }
                                    mstatusMenu['<I18n:message key="OTHER_ACTIONS"/>'].add(new TSMenuItem("<c:out value="${mstatus.action}"/>", "javascript:$('formMethod').value='page'; $('formMstatus').value='${mstatus.id}'; $('messageCreateActionForm').submit();", false, false, "<c:out value="${contextPath}"/>${ImageServlet}/cssimages/ico.messagetypes.gif"));
                                </script>
                            </c:otherwise>
                        </c:choose>
                    </c:otherwise>
                </c:choose>
            </c:otherwise>
        </c:choose>
    </c:forEach>
    <c:if test="${!empty mstatuses}">
    <span class="additional">
    <script type="text/javascript">
        var mstatusMenuBar =new TSMenuBar();
        for(var h in mstatusMenu){
            mstatusMenuBar.add(new TSMenuBut(h, null, mstatusMenu[h], "${contextPath}${ImageServlet}/cssimages/ico.messagetypes.gif"));
        }
        document.write(mstatusMenuBar);
    </script>
    </span>
    </c:if>
</div>

<div class="indent">
<table class="general">

<colgroup>
    <col width="15%">
    <col width="34%">
    <col width="2%">
    <col width="15%">
    <col width="34%">
</colgroup>

<tr>
    <th class="taskinfo-right statetracking" colspan=2>
        <a class="internal" href="${contextPath}/task/${tci.number}?thisframe=true#statuTracking" id="statuTracking"><div style="color:#000000"><I18n:message key="STATE_TRACKING"/></div></a>
    </th>
    <td class="strut">&nbsp;</td>
    <th class="taskinfo-left timetracking" colspan=2>
        <a class="internal" href="${contextPath}/task/${tci.number}?thisframe=true#timeTracking" id="timeTracking"><div style="color:#000000"><I18n:message key="TIME_TRACKING"/></div></a>
    </th>
</tr>
<tr>
    <c:choose>
        <c:when test="${tci.categoryId ne null}">
            <th class="nowrap statetracking">
                <I18n:message key="CATEGORY"/>
            </th>
            <td class="nowrap statetracking">
                <html:img styleClass="icon" border="0" src="${contextPath}${ImageServlet}/icons/categories/${tci.category.icon}"/>
                <c:out value="${tci.category.name}" escapeXml="true"/>
            </td>
        </c:when>
        <c:otherwise>
            <th class="hden statetracking">
                <I18n:message key="CATEGORY"/>
            </th>
            <td class="nowrap statetracking"></td>
        </c:otherwise>
    </c:choose>
    <td class="strut">&nbsp;</td>
    <c:choose>
        <c:when test="${tci.submitdate ne null}">
            <th class="nowrap timetracking">
                <I18n:message key="SUBMIT_DATE"/>
            </th>
            <td class="nowrap timetracking">
                <I18n:formatDate value="${tci.submitdate.time}" type="both" dateStyle="short" timeStyle="short"/>
            </td>
        </c:when>
        <c:otherwise>
            <th class="hden timetracking"><I18n:message key="SUBMIT_DATE"/></th>
            <td class="nowrap statetracking"></td>
        </c:otherwise>
    </c:choose>
</tr>
<tr>
    <c:choose>
        <c:when test="${tci.statusId ne null}">

            <th class="nowrap statetracking">
                <I18n:message key="TASK_STATE"/>
            </th>
            <td class="nowrap statetracking">
                <span class="nowrap">
                <html:img styleClass="state" border="0" style="background-color: ${tci.status.color}"
                          src="${contextPath}${ImageServlet}/cssimages/${(tci.status.start && tci.status.finish) ? 'finish' : (tci.status.start ? 'start' : (tci.status.finish ? 'finish' : ''))}state.gif"/>
                <c:out value="${tci.status.name}" escapeXml="true"/>
                    </span>
            </td>
        </c:when>
        <c:otherwise>
            <th class="hden statetracking"><I18n:message key="TASK_STATE"/></th>
            <td class="nowrap statetracking"></td>
        </c:otherwise>
    </c:choose>
    <td class="strut">&nbsp;</td>
    <c:choose>
        <c:when test="${tci.updatedate ne null}">

            <th class="nowrap timetracking">
                <I18n:message key="UPDATE_DATE"/>
            </th>
            <td class="nowrap timetracking">
                <I18n:formatDate value="${tci.updatedate.time}" type="both" dateStyle="short" timeStyle="short"/>
            </td>

        </c:when>
        <c:otherwise>
            <th class="hden timetracking"><I18n:message key="UPDATE_DATE"/></th>
            <td class="nowrap statetracking"></td>
        </c:otherwise>
    </c:choose>
</tr>
<tr>
    <c:choose>
        <c:when test="${tci.resolutionId ne null}">

            <th class="nowrap statetracking">
                <I18n:message key="RESOLUTION"/>
            </th>
            <td class="nowrap statetracking">
                <c:out value="${tci.resolution.name}" escapeXml="true"/>
            </td>

        </c:when>
        <c:otherwise>
            <th class="hden statetracking"><I18n:message key="RESOLUTION"/></th>
            <td class="nowrap statetracking"></td>
        </c:otherwise>
    </c:choose>
    <td class="strut">&nbsp;</td>
    <c:choose>
        <c:when test="${tci.closedate ne null}">
            <th class="nowrap timetracking">
                <I18n:message key="CLOSE_DATE"/>
            </th>
            <td class="nowrap timetracking">
                <I18n:formatDate value="${tci.closedate.time}" type="both" dateStyle="short" timeStyle="short"/>
            </td>
        </c:when>
        <c:otherwise>
            <th class="hden timetracking"><I18n:message key="CLOSE_DATE"/></th>
            <td class="nowrap statetracking"></td>
        </c:otherwise>
    </c:choose>
</tr>
<tr>
    <c:choose>
        <c:when test="${tci.priorityId ne null}">
            <th class="nowrap statetracking">
                <I18n:message key="PRIORITY"/>
            </th>
            <td class="nowrap statetracking">
                <c:out value="${tci.priority.name}" escapeXml="true"/>
            </td>
        </c:when>
        <c:otherwise>
            <th class="hden statetracking"><I18n:message key="PRIORITY"/></th>
            <td class="nowrap statetracking"></td>
        </c:otherwise>
    </c:choose>
    <td class="strut">&nbsp;</td>
    <c:choose>
        <c:when test="${tci.deadline ne null}">
            <th class="nowrap timetracking">
                <I18n:message key="DEADLINE"/>
            </th>
            <td class="nowrap timetracking">
                <I18n:formatDate value="${tci.deadline.time}" type="both" dateStyle="short" timeStyle="short"/>
            </td>
        </c:when>
        <c:otherwise>
            <th class="hden timetracking"> <I18n:message key="DEADLINE"/></th>
            <td class="nowrap statetracking"></td>
        </c:otherwise>
    </c:choose>
</tr>
<tr>
    <c:choose>
        <c:when test="${tci.submitter ne null}">

            <th class="nowrap statetracking">
                <I18n:message key="SUBMITTER"/>
            </th>
            <td class="nowrap statetracking"><span
                    class="user" ${tci.submitterId eq sc.userId ? "id='loggedUser'" : ""}>
            <html:img styleClass="icon" border="0"
                      src="${contextPath}${ImageServlet}/cssimages/${tci.submitter.active ? 'arw.usr.a.gif' : 'arw.usr.gif'}"/>
    <c:out value="${tci.submitter.name}" escapeXml="true"/>
	</span>
            </td>
        </c:when>
        <c:otherwise>
            <th class="hden statetracking"><I18n:message key="SUBMITTER"/></th>
            <td class="nowrap statetracking"></td>
        </c:otherwise>
    </c:choose>
    <td class="strut">&nbsp;</td>
    <c:choose>
        <c:when test="${!empty tci.budgetAsString}">

            <th class="nowrap timetracking">
                <I18n:message key="BUDGET"/>
            </th>
            <td class="nowrap timetracking">
                <c:out value="${tci.budgetAsString}" escapeXml="true"/>
            </td>

        </c:when>
        <c:otherwise>

            <th class="hden timetracking"><I18n:message key="BUDGET"/></th>
            <td class="nowrap statetracking"></td>
        </c:otherwise>
    </c:choose>
</tr>
<tr>
    <c:choose>
        <c:when test="${tci.handlerUserId ne null || tci.handlerGroupId ne null}">

            <th class="nowrap statetracking">
                <I18n:message key="HANDLER"/>
            </th>
            <td class="nowrap statetracking">
                <c:choose>
                    <c:when test="${tci.handlerUserId ne null}">
					<span class="user" ${tci.handlerUserId eq sc.userId ? "id='loggedUser'" : ""}>
            <html:img styleClass="icon" border="0"
                      src="${contextPath}${ImageServlet}/cssimages/${tci.handlerUser.active ? 'arw.usr.a.gif' : 'arw.usr.gif'}"/>
            <c:out value="${tci.handlerUser.name}" escapeXml="true"/>
			</span>
                    </c:when>
                    <c:when test="${tci.handlerGroupId ne null}">
						<span class="user">
                        <html:img styleClass="icon" border="0" src="${contextPath}${ImageServlet}/cssimages/ico.status.gif"/><c:out
                                value="${tci.handlerGroup.name}" escapeXml="true"/>
						</span>
                    </c:when>
                    <c:otherwise>
                        <I18n:message key="UNASSIGNED"/>
                    </c:otherwise>
                </c:choose>

            </td>

        </c:when>
        <c:otherwise>

            <th class="hden statetracking"><I18n:message key="HANDLER"/></th>
            <td class="nowrap statetracking"></td>

        </c:otherwise>
    </c:choose>
    <td class="strut">&nbsp;</td>
    <c:choose>
        <c:when test="${!empty tci.actualBudgetAsString}">

            <th class="nowrap timetracking">
                <I18n:message key="ABUDGET"/>
            </th>
            <td class="nowrap timetracking">
                <c:out value="${tci.abudgetToString}" escapeXml="true"/>&nbsp;/<c:out value="${tci.actualBudgetAsString}" escapeXml="true"/><c:if test="${canEditActualBudget}"><span class="clock"><img src="${contextPath}${ImageServlet}/cssimages/ico.clock.gif"><span id="clockId"></span><script type="text/javascript">setTimer('${id}');getTimer();</script><img src="${contextPath}${ImageServlet}/cssimages/ico.pause.gif"  title="<I18n:message key="CLICK_TO_PAUSE"/>" id="clockPause" onclick="pauseTimer('${id}');"><img id="clockPlay" src="${contextPath}${ImageServlet}/cssimages/ico.play.gif"  title="<I18n:message key="CLICK_TO_START"/>" style="display:none;" onclick="setTimer('${id}');getTimer();"><img src="${contextPath}${ImageServlet}/cssimages/ico.stop.gif"  title="<I18n:message key="CLICK_TO_RESET"/>" id="clockStop" onclick="stopTimer('${id}');"></span></c:if>
            </td>

        </c:when>
        <c:otherwise>
            <th class="hden timetracking"><I18n:message key="ABUDGET"/></th>
            <td class="nowrap timetracking"><c:if test="${canEditActualBudget}"><span class="clock"><img src="${contextPath}${ImageServlet}/cssimages/ico.clock.gif"><span id="clockId"></span><script type="text/javascript">setTimer('${id}');getTimer();</script><img src="${contextPath}${ImageServlet}/cssimages/ico.pause.gif"  title="<I18n:message key="CLICK_TO_PAUSE"/>" id="clockPause" onclick="pauseTimer('${id}'); document.getElementById('clockPlay').style.display='inline'; document.getElementById('clockPause').style.display='none';"><img id="clockPlay" src="${contextPath}${ImageServlet}/cssimages/ico.play.gif"  title="<I18n:message key="CLICK_TO_START"/>" style="display:none;" onclick="setTimer('${id}'); document.getElementById('clockPlay').style.display='none'; document.getElementById('clockPause').style.display='inline';getTimer();"><img src="${contextPath}${ImageServlet}/cssimages/ico.stop.gif"  title="<I18n:message key="CLICK_TO_RESET"/>" id="clockStop" onclick="stopTimer('${id}'); document.getElementById('clockPlay').style.display='inline'; document.getElementById('clockPause').style.display='none';"></span></c:if></td>
        </c:otherwise>
    </c:choose>
</tr>
</table>

<c:if test="${!empty viewUdfList}">
    <table class="general customfields" cellpadding="0" cellspacing="0">
        <caption>
            <a class="internal" href="${contextPath}/task/${tci.number}?thisframe=true#customField" id="customField"><div style="color:#000000"><I18n:message key="CUSTOM_FIELDS"/></div></a>
        </caption>
        <colgroup>
            <col class="col_1">
            <col class="col_2">
        </colgroup>
        <c:import url="/jsp/custom/UDFViewTemplate.jsp"/>
    </table>
</c:if>


</div>
</div>

<c:if test="${!empty refTasks}">
    <div class="strut">&nbsp;</div>
    <div class="blueborder">
        <div class="caption">
            <I18n:message key="REFERENCED_BY_TASKS"/>
        </div>
        <div class="indent">
            <table class="general" cellpadding="0" cellspacing="0">
                <colgroup>
                    <col class="col_1">
                    <col class="col_2">
                </colgroup>
                <c:forEach var="udf" items="${refTasks}">
                    <c:if test="${udf.key.referencedByCaption ne null && udf.key.referencedByCaption ne ''}">
                        <tr>
                            <th>
                                <c:out value="${udf.key.referencedByCaption}" escapeXml="true"/>
                            </th>
                            <td>
                                <c:forEach var="t" items="${udf.value}" varStatus="status">
                                    <html:link styleClass="internal" href="${contextPath}/TaskViewAction.do?method=page&amp;id=${t.id}">
                                        <html:img styleClass="icon" border="0" src="${contextPath}${ImageServlet}/icons/categories/${t.category.icon}"/>
                                        <html:img styleClass="state" border="0" style="background-color: ${t.status.color}" src="${contextPath}${ImageServlet}/cssimages/${(t.status.start && t.status.finish) ? 'finish' : (t.status.start ? 'start' : (t.status.finish ? 'finish' : ''))}state.gif"/>
                                        <c:out value="${t.name}"/>
                                        &nbsp;<em class="number">
                                        #<c:out value="${t.number}"/>
                                        </em>
                                    </html:link>
                                    <br>
                                </c:forEach>
                            </td>
                        </tr>
                    </c:if>
                </c:forEach>
            </table>
        </div>
    </div>
</c:if>

<c:if test="${!empty refUsers}">
    <div class="strut">&nbsp;</div>
    <div class="blueborder">
        <div class="caption">
            <a class="internal" href="${contextPath}/task/${tci.number}?thisframe=true#referenced" id="referenced"><div style="font-size:14px;"><I18n:message key="REFERENCED_BY_USERS"/></div></a>
        </div>
        <div class="indent">
            <table class="general" cellpadding="0" cellspacing="0">

                <colgroup>
                    <col class="col_1">
                    <col class="col_2">
                </colgroup>

                <c:forEach var="udf" items="${refUsers}">

                    <tr>
                        <th>
                            <c:out value="${udf.key.referencedByCaption}" escapeXml="true"/>
                        </th>
                        <td>
                            <c:forEach var="user" items="${udf.value}" varStatus="status">
                                <html:link styleClass="internal" href="${contextPath}/UserViewAction.do?method=page&amp;id=${user.id}">
                                    <html:img styleClass="icon" border="0"
                                              src="${contextPath}${ImageServlet}/cssimages/${user.active ? 'arw.usr.a.gif' : 'arw.usr.gif'}"/>
                                    <c:out value="${user.name}"/>
                                    &nbsp;<em class="number">
                                    <c:out value="${user.login}"/>
                                    </em>
                                </html:link>
                                <br>
                            </c:forEach>
                        </td>
                    </tr>

                </c:forEach>
            </table>
        </div>
    </div>
</c:if>

<c:if test="${lastMessage ne null}">
    <br>
    <div class="blueborder">
        <div class="caption">
            <a class="internal" href="${contextPath}/task/${tci.number}?thisframe=true#lastMessage" id="lastMessage"><div style="font-size:14px;"><I18n:message key="LAST_MESSAGE"/></div></a>
        </div>
        <div class="indent">

            <div class="msgbox-opened line0">
                <span class="msgtime"><a class="internal" href="${contextPath}/task/${tci.number}?thisframe=true#${lastMessage.id}" id="${lastMessage.id}"><div style="color:#000000"><I18n:formatDate value="${lastMessage.time.time}" type="both" dateStyle="short" timeStyle="short"/></div></a></span>
                <label class="messagelabel" for="${lastMessage.id}">
                    <c:out value="${lastMessage.mstatus.name}" escapeXml="true"/><c:if test="${lastMessage.resolution ne null}">(<c:out value="${lastMessage.resolution.name}" escapeXml="true"/>)</c:if>
            <span class="user" ${lastMessage.submitterId eq sc.userId ? "id='loggedUser'" : ""}><c:choose>
                <c:when test="${lastMessage.submitterId eq tci.submitterId && lastMessage.submitterId eq tci.handlerUserId}">
                    <html:img border="0"
                              src="${contextPath}${ImageServlet}/cssimages/ico.submitter.png"/>
                    <html:img styleClass="icon" border="0"
                              src="${contextPath}${ImageServlet}/cssimages/ico.handler.png"/>
                </c:when>
                <c:when test="${lastMessage.submitterId eq tci.submitterId}">
                    <html:img  border="0"
                               src="${contextPath}${ImageServlet}/cssimages/ico.submitter.png"/>
                </c:when>
                <c:when test="${lastMessage.submitterId eq tci.handlerUserId}">
                    <html:img border="0"
                              src="${contextPath}${ImageServlet}/cssimages/ico.handler.png"/>
                </c:when>
            </c:choose><html:img  styleClass="icon" border="0" src="${contextPath}${ImageServlet}/cssimages/${lastMessage.submitter.active ? 'arw.usr.a.gif' : 'arw.usr.gif'}"/><c:out value="${lastMessage.submitter.name}" escapeXml="true"/>
                </span>
                    <c:choose>
                        <c:when test="${lastMessage.handlerUserId ne null}">
                            <I18n:message key="FOR"/>
            <span class="user" ${lastMessage.handlerUserId eq sc.userId ? "id='loggedUser'" : ""}><c:choose>
                <c:when test="${lastMessage.handlerUserId eq tci.submitterId && lastMessage.handlerUserId eq tci.handlerUserId}">
                    <html:img  border="0"
                               src="${contextPath}${ImageServlet}/cssimages/ico.submitter.png"/>
                    <html:img styleClass="icon" border="0"
                              src="${contextPath}${ImageServlet}/cssimages/ico.handler.png"/>
                </c:when>
                <c:when test="${lastMessage.handlerUserId eq tci.submitterId}">
                    <html:img  border="0"
                               src="${contextPath}${ImageServlet}/cssimages/ico.submitter.png"/>
                </c:when>
                <c:when test="${lastMessage.handlerUserId eq tci.handlerUserId}">
                    <html:img  border="0"
                               src="${contextPath}${ImageServlet}/cssimages/ico.handler.png"/>
                </c:when>
            </c:choose><html:img  styleClass="icon" border="0" src="${contextPath}${ImageServlet}/cssimages/${lastMessage.handlerUser.active ? 'arw.usr.a.gif' : 'arw.usr.gif'}"/>
            <c:out value="${lastMessage.handlerUser.name}" escapeXml="true"/></span>
                        </c:when>
                        <c:when test="${lastMessage.handlerGroupId ne null}">
                            <I18n:message key="FOR"/>
                            <span class="user"><html:img  styleClass="icon" border="0" src="${contextPath}${ImageServlet}/cssimages/ico.status.gif"/><c:out value="${lastMessage.handlerGroup.name}" escapeXml="true"/></span>
                        </c:when>
                    </c:choose></label>
                <c:if test="${lastMessage.priorityId ne null || lastMessage.deadline ne null || !empty lastMessage.budgetAsString || !empty lastMessage.actualBudgetAsString || !empty lastMessage.attachments}">
                    <table class="general" cellpadding="0" cellspacing="0">
                        <c:if test="${lastMessage.priorityId ne null}">
                            <tr>
                                <th width="20%"><I18n:message key="MESSAGE_PRIORITY"/></th>
                                <td width="80%"><c:out value="${lastMessage.priority.name}" escapeXml="true" /></td>
                            </tr>
                        </c:if>
                        <c:if test="${lastMessage.deadline ne null}">
                            <tr>
                                <th width="20%"><I18n:message key="MESSAGE_DEADLINE"/></th>
                                <td width="80%"><I18n:formatDate value="${lastMessage.deadline.time}" type="both" dateStyle="short" timeStyle="short"/></td>
                            </tr>
                        </c:if>

                        <c:if test="${!empty lastMessage.budgetAsString}">
                            <tr>
                                <th width="20%"><I18n:message key="BUDGET"/></th>
                                <td width="80%"><c:out value="${lastMessage.budgetAsString}" escapeXml="true" /></td>
                            </tr>
                        </c:if>

                        <c:if test="${!empty lastMessage.actualBudgetAsString}">
                            <tr>
                                <th width="20%"><I18n:message key="MESSAGE_ABUDGET"/></th>
                                <td width="80%"><c:out value="${lastMessage.actualBudgetAsString}" escapeXml="true" /></td>
                            </tr>
                        </c:if>

                        <c:if test="${!empty lastMessage.attachments}">
                            <tr>
                                <th width="20%"><I18n:message key="ATTACHMENT"/></th>
                                <td width="80%">
                                    <c:forEach items="${lastMessage.attachments}" var="ata">
                                        <c:if test="${!ata.deleted}">
                                            <a class="internal" target="_blank" href="<c:url value="/download/task/${tci.number}/${ata.id}/${ata.name}"/>" title="<c:out value="${ata.description}"/>">
                                                <html:img src="${contextPath}${ImageServlet}/cssimages/ico.attachment2.gif" hspace="4" vspace="0" border="0" align="middle" altKey="ATTACHMENT"/><c:out value="${ata.name}"/>
                                            </a><br>
                                        </c:if>
                                        <c:if test="${ata.deleted}">
                                            <html:img src="${contextPath}${ImageServlet}/cssimages/ico.attachment2.gif" hspace="4" vspace="0" border="0" align="middle" altKey="ATTACHMENT"/><img border="0" hspace="0" vspace="0" title="<I18n:message key="ATTACHMENT_DELETED"/>" src="${contextPath}${ImageServlet}/cssimages/warning.gif"/><c:out value="${ata.name}"/>
                                        </c:if>
                                    </c:forEach>
                                </td>
                            </tr>
                        </c:if>
                    </table>
                </c:if>
                <div class="description">
                    <ts:htmlfilter session="${sc.id}"><c:out value="${lastMessage.description}" escapeXml="false"/></ts:htmlfilter>
                </div>
            </div>
        </div>
    </div>
</c:if>

<c:if test="${scmReferences ne null}">
    <div class="strut">&nbsp;</div>
    <div class="blueborder">
    <div class="caption">
        <I18n:message key="SCM_REFERENCES"/>
    </div>
    <c:forEach var="commit" items="${scmReferences}" varStatus="current">
        <c:choose>
            <c:when test="${commit.date.time.time > sc.prevLogonDate.time.time && commit.date.time.time > sc.lastLogonDate.time.time}">
                <div class="line<c:out value="${current.index mod 2}"/> grayborder hotmessage" title="<I18n:message key="HOT_COMMIT"/>">
            </c:when>
            <c:when test="${commit.date.time.time > sc.prevLogonDate.time.time}">
                <div class="line<c:out value="${current.index mod 2}"/> grayborder newmessage" title="<I18n:message key="NEW_COMMIT"/>">
            </c:when>
            <c:when test="${commit.date.time.time > sc.lastLogonDate.time.time}">
                <div class="line<c:out value="${current.index mod 2}"/> grayborder hotmessage" title="<I18n:message key="HOT_COMMIT"/>">
            </c:when>
            <c:otherwise>
                <div class="line<c:out value="${current.index mod 2}"/> grayborder">
            </c:otherwise>
        </c:choose>
        <div class="indent">
            <div class="${(!sortMessageAsc && current.first) || (sortMessageAsc && current.last) ? "msgbox-opened" : "msgbox-closed"}" id="${commit.date.time.time}">
                <span class="msgtime"><I18n:formatDate value="${commit.date.time}" type="both" dateStyle="short" timeStyle="short"/></span>

                <label class="messagelabel" for="${commit.date.time.time}" onclick="msgSwitch(this);"><html:img src="${contextPath}${ImageServlet}/cssimages/ico.expand.png" hspace="0" vspace="0" border="0" altKey="SHOW" styleClass="imgExpand"/><html:img src="${contextPath}${ImageServlet}/cssimages/ico.collapse.png" hspace="0" vspace="0" border="0" altKey="HIDE" styleClass="imgCollapse"/><c:if test="${isDiff}">
                    <I18n:message key="REVISION"/> <c:out value="${commit.revision}"/></c:if>
                    <span class="user" ${sc.userId eq commit.authorId  ? "id='loggedUser'" : ""}><html:img  styleClass="icon" border="0" src="${contextPath}${ImageServlet}/cssimages/${commit.authorId ne null && commit.author.active ? 'arw.usr.a.gif' : 'arw.usr.gif'}"/><c:out value="${commit.authorId ne null? commit.author.name: commit.authorLogin}" escapeXml="true"/></span>
                </label>
                <table class="general" cellpadding="0" cellspacing="0">
                    <c:forEach var="path" items="${commit.changedPath}">
                        <tr>
                            <td>
                                <c:choose>
                                    <c:when test="${isDiff}">
                                        <c:if test="${path.value eq 'M'}">
                                            <a class="internal" href="javascript:{}" onclick="if (top.udfWin!=null) {top.udfWin.close(); top.udfWin=null;} top.udfWin = window.open('<c:out value="${contextPath}/SCMAction.do?method=diff&revision=${commit.revision}&diffURI=${path.key}&connectionName=${commit.connectionName}"/>', 'udfWin', 'dependent=yes,menubar=no,toolbar=no,status=no,scrollbars=yes,titlebar=no,left=0,top=20,width=1000,height=500,resizable=yes');is_new = true;">
                                                <html:img border="0" styleClass="icon" src="${contextPath}${ImageServlet}/cssimages/ico.svnmod.gif"/>&nbsp;<c:out value="${path.key}"/>
                                            </a>
                                        </c:if>
                                        <c:if test="${path.value eq 'A'}">
                                            <span class="scmLinkGreen"><html:img border="0" styleClass="icon" src="${contextPath}${ImageServlet}/cssimages/ico.svnadd.gif"/>&nbsp;<c:out value="${path.key}"/></span>
                                        </c:if>
                                        <c:if test="${path.value eq 'D'}">
                                            <span class="scmLinkRed"><html:img border="0" styleClass="icon" src="${contextPath}${ImageServlet}/cssimages/ico.svndel.gif"/>&nbsp;<c:out value="${path.key}"/></span>
                                        </c:if>

                                    </c:when>
                                    <c:otherwise>
                                        <c:out value="${path}"/>
                                    </c:otherwise>
                                </c:choose>
                            </td>
                        </tr>
                    </c:forEach>
                </table>
                <c:if test="${!empty commit.message}">
                    <div class="description">
                        <c:out value="${commit.message}" escapeXml="true"/>
                    </div>
                </c:if>
            </div>
        </div>
        </div>
    </c:forEach>
    </div>
    </div>
</c:if>

<c:if test="${canViewTaskAttachments && !empty attachments}">
    <div class="strut"><a class="internal" class="internal" name="attachments"></a></div>
    <c:import url="/jsp/task/viewtask/attachments/TaskAttachmentViewTile.jsp"/>
</c:if>



<div class="strut">&nbsp;</div>
<c:import url="/MessageAction.do?method=page&id=${id}"/>

<script type="text/javascript">
    function onSubmitBookMark() {
        if ($('bookmark_name').value != '') {
            YAHOO.trackstudio.bookmark.bookmark_dialog.hide();
            var url = "${contextPath}/BookmarkAction.do";
            var pars = {method : 'save', name : $F('bookmark_name'), taskId: $F('task_id')};
            new Ajax.Request(url, {method: "post", parameters: pars});
            onComplete: self.top.frames[0].updateBookmarks("${contextPath}/bookmark");
        } else {
            alert("<I18n:message key="ENTER_BOOKMARK_NAME"/>");
        }
        return false;
    }
</script>

<div id="bookmark_dialog" style="visibility:hidden;">
    <div class="hd"><I18n:message key="CREATE_BOOKMARK"/></div>
    <div class="bd">
        <form method="post" idd="bookmarkForm" action="" onsubmit="onSubmitBookMark()">
            <table>
                <tr>
                    <td><label for="name" style="margin-right: 20px;"><I18n:message key="NAME" /></label></td>
                    <td><input type="text" value="${name}" id="bookmark_name" size="35" /></td>
                </tr>
                <tr>
                    <td><label for="task" style="margin-right: 20px;"><I18n:message key="TASK" /></label></td>
                    <td><c:out value="${tci.name}"/></td>
                </tr>
            </table>
            <input type="hidden" value="'${taskId}'" id="task_id" />
            <form>
    </div>
</div>
</c:if>
</tiles:put>
</tiles:insert>
