<%@ page buffer="128kb" errorPage="/jsp/Error.jsp" %>
<%@ taglib uri="struts/html-el" prefix="html" %>
<%@ taglib uri="jstl/c" prefix="c" %>
<%@ taglib uri="jstl/fmt" prefix="I18n" %>
<%@ taglib uri="struts/tiles-el" prefix="tiles" %>


<I18n:setLocale value="${sc.locale}"/>
<I18n:setTimeZone value="${sc.timezone}"/>
<I18n:setBundle basename="language"/>
<tiles:insert page="/jsp/layout/ListLayout.jsp" flush="true">
    <tiles:put name="header" value="/jsp/task/TaskHeader.jsp"/>
    <tiles:put name="customHeader" type="string"/>
    <tiles:put name="tabs" type="string"/>
    <tiles:put name="main" type="string">
        <c:if test="${canEdit}">
            <c:choose>
                <c:when test="${compressHtml}">
                    <c:set var="urlHtml" value="html"/>
                </c:when>
                <c:otherwise>
                    <c:set var="urlHtml" value="html_src"/>
                </c:otherwise>
            </c:choose>
            <script type="text/javascript" src="<c:out value="${contextPath}${versionPath}"/>/${urlHtml}/tiny_mce/tiny_mce.js?v=40"></script>
            <script type="text/javascript">
                tinyMCE.init({
                    mode: "textareas",
                    auto_resize : false,
                    editor_selector : "mceEditor",
                    theme : "advanced",
                    width: "100%",
                    height : "600",
                    forced_root_block : false,
                    force_br_newlines : true,
                    force_p_newlines : false,
                    plugins : "style,layer,table,save,advimage,advlink,iespell,searchreplace,print,contextmenu,paste,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras",
                    theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,cut,copy,pastetext,pasteword,|,undo,redo,|,search,replace,|,justifyleft,justifycenter,justifyright, justifyfull,bullist,numlist,outdent,indent,|,link,unlink,anchor,image,code",
                    theme_advanced_buttons2 : "forecolor,backcolor,|,fontselect,fontsizeselect,|,tablecontrols,|,charmap,iespell,|,print,fullscreen",
                    theme_advanced_buttons3: "",
                    theme_advanced_toolbar_location : "top",
                    theme_advanced_toolbar_align : "left",
                    extended_valid_elements : "a[name|href|target|title|onclick],img[class|src|border=0|alt|title|hspace|vspace|width|height|align|onmouseover|onmouseout|name],hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style]"
                });
                var is_new = true;
            </script>
        </c:if>
        <div>
        <html:form method="POST" enctype="multipart/form-data" action="/TaskEditAction" styleId="checkunload" onsubmit="if (validate(this)) {showButton(true); return true;} else {return false}">
            <div class="caption" style="border-color:#FFFFFF; font-size: 20px; background-color:#FFFFFF">
                <html:text styleId="name" style="font-size: 20px; width: 70%" property="name" maxlength="200" alt=">0"/>
                    <span style="float:right;">
            <input type="submit" class="iconized" value="<I18n:message key="SAVE" />" name="SAVE" disabled="true"/>
            <html:button styleClass="iconized secondary" property="cancelButton" disabled="true" onclick="showButton(true); document.location='${referer}';">
                <I18n:message key="CANCEL"/>
            </html:button>
            </span>
            </div>
            <div class="indent">
            <html:hidden property="method" value="saveDocument" styleId="editTaskId"/>
            <html:hidden property="id"/>
            <html:hidden property="session"/>
            <html:hidden property="parentForCancel"/>
            <html:hidden property="workflowId"/>
            <c:if test="${newTask eq true}">
                <html:hidden property="newTask" value="true"/>
                <html:hidden property="category"/>
            </c:if>

            <c:choose>
                <c:when test="${canEditTaskDescription}">
                    <html:textarea rows="50" property="description" styleClass="mceEditor" cols="150" style="margin:0px; padding:0px; width: 100%;" styleId="description" alt='<100000,tinymce'></html:textarea>
                </c:when>
                <c:otherwise>
                    <html:hidden property="description"/>
                    <c:out value="${wikiDescription}" escapeXml='false'/>
                </c:otherwise>
            </c:choose>
            <c:if test="${canCreateTaskAttachments}">
                <br>
                <script type="text/javascript">
                    var countFiles=0;
                    function createNewForm()
                    {
                        var inn = document.getElementById("upload");

                        var div = document.createElement("div");
                        countFiles++;
                        var fileinput = document.createElement("input");
                        fileinput.type="file";
                        fileinput.size=80;
                        fileinput.name="file["+countFiles+"]";
                        fileinput.onchange=createNewForm;

                        var filedesc = document.createElement("input");
                        filedesc.type="text";
                        filedesc.size=80;
                        filedesc.name="filedesc["+countFiles+"]";



                        div.appendChild(document.createTextNode("<I18n:message key="CHOOSE_FILE"/>"));
                        div.appendChild(fileinput);
                        div.appendChild(document.createElement("br"));
                        inn.appendChild(div);

                    }

                </script>
                <table cellpadding="0" cellspacing="0">
                    <tr>
                        <td id="upload">
                            <div>
                                <I18n:message key="CHOOSE_FILE"/><input type="file" id="file0" name="file[0]" size="80" onchange="createNewForm()"/>
                                <br>
                            </div>
                        </td>
                    </tr>
                </table>

            </c:if>
        </html:form>
    </tiles:put>
</tiles:insert>
<script type="text/javascript">
    showButton(false);
    function showButton(result) {
        var save = document.getElementsByName("SAVE");
        for (var s=0;s!=save.length;s++) {
            save[s].disabled = result;
        }
        var cancel = document.getElementsByName("cancelButton");
        for (var c=0;c!=cancel.length;c++) {
            cancel[c].disabled = result;
        }
    }
</script>
