<%@ page buffer="128kb" errorPage="/jsp/Error.jsp"%>
<%@ taglib uri="struts/html-el" prefix="html" %>
<%@ taglib uri="jstl/c" prefix="c" %>
<%@ taglib uri="jstl/fmt" prefix="I18n" %>
<%@ taglib uri="http://ajaxtags.org/tags/ajax" prefix="ajax" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<I18n:setLocale value="${sc.locale}"/>
<I18n:setTimeZone value="${sc.timezone}"/>
<I18n:setBundle basename="language"/>

<c:if test="${!empty listMessages}">
    <c:set var="messages" value="${listMessages}" scope="session"/>

    <div class="blueborder">
        <div class="caption">
            <a id="messageHistoryHeader" class="history-closed" href="javascript://nop/" onclick="openMessage(this);">
                <c:choose>
                    <c:when test="${sortMessageAsc}">
                        <I18n:message key="HISTORY_ASC"/>
                    </c:when>
                    <c:otherwise>
                        <I18n:message key="HISTORY_DESC"/>
                    </c:otherwise>
                </c:choose>
            </a>
        </div>

        <html:form method="post" action="/MessageCreateAction" styleId="messageCreateActionForm" onsubmit="return deleteMessages();">
            <html:hidden property="method" value="delete" styleId="formMethod"/>
            <html:hidden property="mstatus" styleId="formMstatus"/>
            <html:hidden property="id" value="${id}"/>
            <html:hidden property="session" value="${session}"/>
            <c:if test="${isMstatuses}">
                <div class="controlPanel">
                    <script type="text/javascript">
                        var mstatusTopMenu = {};
                    </script>
                    <c:choose>
                        <c:when test="${sortMessageAsc}">
                            <html:link titleKey="SORT_MESSAGE_DESC" href="${contextPath}/MessageAction.do?method=changesort&id=${id}&session=${session}"><html:img border="0" src="${contextPath}${ImageServlet}/cssimages/ico.down.gif"/><I18n:message key="SORT_MESSAGE_DESC"/></html:link>
                        </c:when>
                        <c:otherwise>
                            <html:link  titleKey="SORT_MESSAGE_ASC" href="${contextPath}/MessageAction.do?method=changesort&id=${id}&session=${session}"><html:img border="0" src="${contextPath}${ImageServlet}/cssimages/ico.up.gif"/><I18n:message key="SORT_MESSAGE_ASC"/></html:link>
                        </c:otherwise>
                    </c:choose>
                    <c:forEach items="${mstatuses}" var="mstatus">
                        <c:choose>
                            <c:when test="${fn:indexOf(mstatus.action,'/')>0}">
                                <c:set var="menuGroup" value="${fn:substringBefore(mstatus.action,'/')}"/>
                                <script type="text/javascript">
                                    if (!mstatusTopMenu['${menuGroup}']){
                                        mstatusTopMenu['${menuGroup}'] = new TSMenu();
                                        mstatusTopMenu['${menuGroup}'].width = 320;
                                    }
                                    mstatusTopMenu['${menuGroup}'].add(new TSMenuItem("<c:out value="${fn:substringAfter(mstatus.action,'/')}"/>", "javascript:$('formMethod').value='page'; $('formMstatus').value='${mstatus.id}'; $('messageCreateActionForm').submit();", false, false, "<c:out value="${contextPath}"/>${ImageServlet}/cssimages/ico.messagetypes.gif"));
                                </script>
                            </c:when>

                            <c:otherwise>
                                <c:choose>
                                    <c:when test="${fn:indexOf(mstatus.preferences,'T')>-1}">
                                        <html:link  title="${mstatus.description}"
                                                    href="javascript:$('formMethod').value='page'; $('formMstatus').value='${mstatus.id}'; $('messageCreateActionForm').submit();">
                                            <html:img src="${contextPath}${ImageServlet}/cssimages/ico.messagetypes.gif" border="0"/>
                                            <c:out value="${mstatus.action}"/>
                                        </html:link>
                                    </c:when>
                                    <c:otherwise>
                                        <script type="text/javascript">
                                            if (!mstatusTopMenu['<I18n:message key="OTHER_ACTIONS"/>']){
                                                mstatusTopMenu['<I18n:message key="OTHER_ACTIONS"/>'] = new TSMenu();
                                                mstatusTopMenu['<I18n:message key="OTHER_ACTIONS"/>'].width = 320;
                                            }
                                            mstatusTopMenu['<I18n:message key="OTHER_ACTIONS"/>'].add(new TSMenuItem("<c:out value="${mstatus.action}"/>", "javascript:$('formMethod').value='page'; $('formMstatus').value='${mstatus.id}'; $('messageCreateActionForm').submit();", false, false, "<c:out value="${contextPath}"/>${ImageServlet}/cssimages/ico.messagetypes.gif"));
                                        </script>
                                    </c:otherwise>
                                </c:choose>
                            </c:otherwise>
                        </c:choose>
                    </c:forEach>
                    <c:if test="${!empty mstatuses}">
    <span class="additional">
    <script type="text/javascript">
        var mstatusTopMenuBar =new TSMenuBar();
        for(var h in mstatusTopMenu){
            mstatusTopMenuBar.add(new TSMenuBut(h, null, mstatusTopMenu[h], "${contextPath}${ImageServlet}/cssimages/ico.messagetypes.gif"));
        }
        document.write(mstatusTopMenuBar);
    </script>
    </span>
                    </c:if>
                </div>
            </c:if>
            <div class="indent" id="messageHistory">
                <c:import url="/jsp/task/viewtask/messages/MessagesTile.jsp"/>
                <c:remove var="messages" scope="session"/>
                <div class="controls">
                    <c:if test="${canDeleteMessages}">
                        <input type="submit"  class="iconized secondary" value="<I18n:message key="DELETE_MESSAGES"/>" name="DELETE">
                    </c:if>
                </div>
            </div>
            <c:if test="${isMstatuses}">
                <div class="controlPanel">
                    <script type="text/javascript">
                        var mstatusBottomMenu = {};
                    </script>
                    <c:forEach items="${mstatuses}" var="mstatus">
                        <c:choose>
                            <c:when test="${fn:indexOf(mstatus.action,'/')>0}">
                                <c:set var="menuGroup" value="${fn:substringBefore(mstatus.action,'/')}"/>
                                <script type="text/javascript">
                                    if (!mstatusBottomMenu['${menuGroup}']){
                                        mstatusBottomMenu['${menuGroup}'] = new TSMenu();
                                        mstatusBottomMenu['${menuGroup}'].width = 320;
                                    }
                                    mstatusBottomMenu['${menuGroup}'].add(new TSMenuItem("<c:out value="${fn:substringBefore(mstatus.action,'/')}"/>", "javascript:$('formMethod').value='page'; $('formMstatus').value='${mstatus.id}'; $('messageCreateActionForm').submit();", false, false, "<c:out value="${contextPath}"/>${ImageServlet}/cssimages/ico.messagetypes.gif"));
                                </script>
                            </c:when>

                            <c:otherwise>
                                <c:choose>
                                    <c:when test="${fn:indexOf(mstatus.preferences,'T')>-1}">
                                        <html:link  title="${mstatus.description}"
                                                    href="javascript:$('formMethod').value='page'; $('formMstatus').value='${mstatus.id}'; $('messageCreateActionForm').submit();">
                                            <html:img src="${contextPath}${ImageServlet}/cssimages/ico.messagetypes.gif" border="0"/>
                                            <c:out value="${mstatus.action}"/>
                                        </html:link>
                                    </c:when>
                                    <c:otherwise>
                                        <script type="text/javascript">
                                            if (!mstatusBottomMenu['<I18n:message key="OTHER_ACTIONS"/>']){
                                                mstatusBottomMenu['<I18n:message key="OTHER_ACTIONS"/>'] = new TSMenu();
                                                mstatusBottomMenu['<I18n:message key="OTHER_ACTIONS"/>'].width = 320;
                                            }
                                            mstatusBottomMenu['<I18n:message key="OTHER_ACTIONS"/>'].add(new TSMenuItem("<c:out value="${mstatus.action}"/>", "javascript:$('formMethod').value='page'; $('formMstatus').value='${mstatus.id}'; $('messageCreateActionForm').submit();", false, false, "<c:out value="${contextPath}"/>${ImageServlet}/cssimages/ico.messagetypes.gif"));
                                        </script>
                                    </c:otherwise>
                                </c:choose>
                            </c:otherwise>
                        </c:choose>
                    </c:forEach>
                    <c:if test="${!empty mstatuses}">
    <span class="additional">
    <script type="text/javascript">
        var mstatusBottomMenuBar =new TSMenuBar();
        for(var h in mstatusBottomMenu){
            mstatusBottomMenuBar.add(new TSMenuBut(h, null, mstatusBottomMenu[h], "${contextPath}${ImageServlet}/cssimages/ico.messagetypes.gif"));
        }
        document.write(mstatusBottomMenuBar);
    </script>
    </span>
                    </c:if>
                </div>
            </c:if>
        </html:form>

        <script type="text/javascript">
            setParentClosedOpenedForMessageHistory();
        </script>
    </div>
</c:if>