<%@ page buffer="128kb" errorPage="/jsp/Error.jsp" %>
<%@ taglib uri="struts/html-el" prefix="html" %>
<%@ taglib uri="jstl/c" prefix="c" %>
<%@ taglib uri="jstl/fmt" prefix="I18n" %>
<%@ taglib uri="struts/tiles-el" prefix="tiles" %>


<I18n:setLocale value="${sc.locale}"/>
<I18n:setTimeZone value="${sc.timezone}"/>
<I18n:setBundle basename="language"/>
<tiles:insert page="/jsp/layout/ListLayout.jsp" flush="true">
   
    <tiles:put name="customHeader" value="/jsp/task/workflow/mstatus/MstatusHeader.jsp"/>
    <tiles:put name="header" value="/jsp/task/TaskHeader.jsp"/>
    <tiles:put name="tabs" value="/jsp/task/workflow/mstatus/MstatusSubMenu.jsp"/>
    <tiles:put name="main" type="string">

    <div class="nblueborder">
    <div class="ncaption"></div>
    <div class="indent">

    <script type="text/javascript">

        var param = 'wf=${flow.id}' + '&ms=${mstatus.id}' + '&sc=${sc.id}';
        var url = '${contextPath}/transitionCreate';

        function request() {
            updateTransition(param, url);
        }

        function updateTransition (param, url) {
            var upParam = param + '&update=true';
            if ($('start') != -1 && $('finfsh') != -1) {
                var select = $('start');
                var options = select.options;

                for (var i = 0; i < select.length; i++) {
                    if (options[i].selected) {
                            upParam = upParam + '&start=' + options[i].value;
                    }
                }

                upParam = upParam + '&finish=' + $('finish').value;

                new Ajax.Request(url, {method: 'get', parameters: upParam, onComplete: onResponse});

            }
        }

        function onResponse() {
            startSelectRequest(param, url);
            tableRequest(param, url);
        }

        function startSelectRequest() {
            new Ajax.Updater('ajaxStartSelect', url, {method: 'get', parameters: param + '&select=true'});
        }

        function tableRequest(param, url) {
            new Ajax.Updater('ajaxTable', url, {method: 'get', parameters: param + '&table=true'});
        }

    </script>

        <div class="blueborder">
        <div class="caption"><I18n:message key="CREATE_TRANSITION"/></div>
        <div class="indent">

            <table class="allowdeny">
                <tr>
                    <td>
                        <table>
                            <tr>
                                <th class="allowed">
                                    <I18n:message key="START"/>
                                </th>
                            </tr>
                            <td>
                                <div id="ajaxStartSelect">
                                    <select Id="start"
                                            size="6"
                                            multiple="true"
                                            class="monospaced fixedwidth"
                                            style="width:auto;">
                                        <c:forEach var="stateSelect" items="${startStateList}">
                                            <option value="${stateSelect.id}">
                                                <c:out value="${stateSelect.name}" escapeXml="true"/>
                                            </option>
                                        </c:forEach>
                                    </select>
                                </div>
                            </td>
                        </table>
                    </td>
                    <td>
                        <table>
                            <tr>
                                <th class="allowed">
                                    <I18n:message key="FINAL"/>
                                </th>
                            </tr>
                            <td>
                                <select Id="finish"
                                        size="6"
                                        class="monospaced fixedwidth"
                                        style="width:auto;">
                                    <c:forEach var="stateSelect" items="${finalStateList}">
                                        <option value="${stateSelect.id}">
                                            <c:out value="${stateSelect.name}" escapeXml="true"/>
                                        </option>
                                    </c:forEach>
                                </select>
                            </td>
                        </table>
                    </td>
                </tr>
            </table>
        </div>
        </div>

        <div class="controls">
            <input type="button" onclick="request()" class="iconized"
                   value="<I18n:message key="CREATE"/>"
                   name="CRTATE">
        </div>

                <html:form action="/TransitionAction" method="post" styleId="transitionForm" onsubmit="return onSubmitFunction();">
                    <html:hidden property="method" value="delete"/>
                    <html:hidden property="id" value="${id}"/>
                    <html:hidden property="session" value="${session}"/>
                    <html:hidden property="workflowId" value="${flow.id}"/>
                    <html:hidden property="mstatusId" value="${mstatus.id}"/>
                    <div id="ajaxTable">
                    <div class="general">
                        <c:if test="${!empty transitionList}">
                            <table class="general" cellpadding="0" cellspacing="0">
                                <caption>
                                    <c:out value="${tableTitle}"/>
                                </caption>
                                <tr class="wide">
                                    <c:if test="${canManage}">
                                        <th width="1%" nowrap style="white-space:nowrap">
                                            <input type="checkbox" onClick="selectAllCheckboxes(this, 'delete1')">
                                        </th>
                                    </c:if>
                                    <th>
                                        <I18n:message key="START"/>
                                    </th>
                                    <th>
                                        <I18n:message key="FINAL"/>
                                    </th>
                                </tr>
                                <c:forEach var="transition" items="${transitionList}" varStatus="varCounter">
                                    <tr class="line<c:out value="${varCounter.index mod 2}"/>">
                                        <c:if test="${canManage eq true}">
                                            <td>
                                                <span style="text-align: center;">
                                                    <input type="checkbox" name="delete" alt="delete1" value="<c:out value="${transition.id}"/>">
                                                </span>
                                            </td>
                                        </c:if>
                                        <td>
                                            <span class="nowrap">
                                                <img alt=""
                                                     class="state"
                                                     border="0"
                                                     style="background-color: ${transition.start.color}"
                                                     src="${contextPath}${ImageServlet}/cssimages/${(transition.start.start && transition.start.finish) ? 'finish' : (transition.start.start ? 'start' : (transition.start.finish ? 'finish' : ''))}state.gif"/>
                                                <c:out value="${transition.start.name}" escapeXml="true"/>
                                            </span>
                                        </td>
                                        <td>
                                            <span class="nowrap">
                                                <img alt=""
                                                     class="state"
                                                     border="0"
                                                     style="background-color: ${transition.finish.color}"
                                                     src="${contextPath}${ImageServlet}/cssimages/${(transition.finish.start && transition.finish.finish) ? 'finish' : (transition.finish.start ? 'start' : (transition.finish.finish ? 'finish' : ''))}state.gif"/>
                                                <c:out value="${transition.finish.name}" escapeXml="true"/>
                                            </span>
                                        </td>
                                    </tr>
                                </c:forEach>
                            </table>
                        </div>
                    <div class="controls">
                        <c:if test="${canManage}">
                            <input type="submit" class="iconized"
                                   value="<I18n:message key="DELETE"/>"
                                   name="DELETE" onclick="checkDeleteSelected();">
                        </c:if>
                    </c:if>
                    </div>
                    </div>
                    <script type="text/javascript">
                        var submitForm = false;

                        function onSubmitFunction() {
                            return submitForm;
                        }

                        function checkDeleteSelected() {
                            submitForm = deleteConfirmForCurrentForm('<I18n:message key="DELETE_TRANSITION_REQ"/>', document.getElementById('transitionForm'));
                            return submitForm;
                        }
                    </script>
                </html:form>
    </div>
    </div>
    </tiles:put>
</tiles:insert>
