<%@ page buffer="128kb" errorPage="/jsp/Error.jsp" %>
<%@ taglib uri="struts/html-el" prefix="html" %>
<%@ taglib uri="jstl/c" prefix="c" %>
<%@ taglib uri="jstl/fmt" prefix="I18n" %>
<%@ taglib uri="struts/tiles-el" prefix="tiles" %>
<c:set var="taskMenu" value="false" scope="request"/>
<c:set var="userMenu" value="true" scope="request"/>
<I18n:setLocale value="${sc.locale}"/>
<I18n:setTimeZone value="${sc.timezone}"/>
<I18n:setBundle basename="language"/>
<tiles:insert page="/jsp/layout/ListLayout.jsp" flush="true">
        <tiles:put name="customHeader" value="/jsp/user/status/edit/workflow/WorkflowHeader.jsp"/>
    <tiles:put name="header" value="/jsp/user/UserHeader.jsp"/>
    <tiles:put name="tabs" value="/jsp/user/status/edit/workflow/WorkflowSubMenu.jsp"/>
    <tiles:put name="main" type="string">
        <div class="nblueborder">
            <div class="ncaption"></div>
            <div class="indent">
                <html:form method="POST" action="/UserUdfMTypeSecurityAction" styleId="checkunload"
                           onsubmit="return allow(this);">
                    <html:hidden property="method" value="save" styleId="ruleId"/>
                    <html:hidden property="id" value="${id}"/>
                    <html:hidden property="session" value="${session}"/>
                    <html:hidden property="prstatusId" value="${prstatusId}"/>
                    <html:hidden property="workflowId" value="${workflowId}"/>
                    <div class="general">
                        <table class="general" cellpadding="0" cellspacing="0">
                            <caption>
                                <I18n:message key="USER_CUSTOM_FIELD_PERMISSIONS_EDIT"/>
                            </caption>
                            <colgroup>
                                <col width="40%">
                                <col width="30%">
                                <col width="30%">
                            </colgroup>
                            <tr class="wide">
                                <th>
                                    <I18n:message key="CUSTOM_FIELDS"/>
                                </th>
                                <th>
                                    <I18n:message key="CAN_VIEW"/>
                                </th>
                                <th>
                                    <I18n:message key="CAN_EDIT"/>
                                </th>
                            </tr>

                            <c:forEach items="${udfs}" var="udf">
                                <tr>
                                    <th>
                                        <c:out value="${udf.caption}"/>
                                    </th>
                                    <td>
                                        <span style="text-align: center">
                                            <html:multibox property="view" value="${udf.id}" styleId="view${udf.id}"
                                                           disabled="${!canEdit}"
                                                           onchange="if (!this.checked) this.form.edit${udf.id}.checked=false;"/>
                                        </span>
                                    </td>
                                    <td>
                                        <span style="text-align: center">
                                            <html:multibox property="edit" value="${udf.id}" styleId="edit${udf.id}"
                                                           disabled="${!canEdit}"
                                                           onchange="if (this.checked) this.form.view${udf.id}.checked=true;"/>
                                        </span>
                                    </td>
                                </tr>
                            </c:forEach>
                        </table>
                    </div>
                    <c:if test="${canEdit}">
                        <div class="controls">
                            <input type="submit" class="iconized"
                                   value="<I18n:message key="SAVE"/>"
                                   name="SAVE">
                        </div>
                    </c:if>
                </html:form>
            </div>
        </div>
    </tiles:put>
</tiles:insert>